Bug 91102 - Lenovo S21e-20 Touchpad nonfunctional
Summary: Lenovo S21e-20 Touchpad nonfunctional
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Input/synaptics (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Peter Hutterer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-25 03:34 UTC by derek
Modified: 2015-08-28 07:17 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Patch to enable interrupts on touchpad (3.99 KB, patch)
2015-07-17 00:22 UTC, Andrew Duggan
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description derek 2015-06-25 03:34:30 UTC
The touchpad on a Lenovo S21e-20 appears nonfunctional.

evtest reports the device name as "SYNA2B27:00 06CB:2956" but doesn't show any events when touching or clicking. Touchpad appears nonfunctional in X.

I can provide additional information, but I'm not sure what would be useful.
Comment 1 Peter Hutterer 2015-06-25 06:16:53 UTC
the dmesg output please, thanks
Comment 2 derek 2015-06-25 11:22:10 UTC
Dmesg from boot to login follows:

[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Initializing cgroup subsys cpuacct
[    0.000000] Linux version 4.0.5-1-ARCH (builduser@tobias) (gcc version 5.1.0 (GCC) ) #1 SMP PREEMPT Sat Jun 6 18:37:49 CEST 2015
[    0.000000] Command line: initrd=\initramfs-linux.img root=/dev/mmcblk0p5 rw quiet loglevel=0
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000006efff] usable
[    0.000000] BIOS-e820: [mem 0x000000000006f000-0x000000000006ffff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x0000000000070000-0x0000000000084fff] usable
[    0.000000] BIOS-e820: [mem 0x0000000000085000-0x0000000000086fff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000087000-0x0000000000087fff] usable
[    0.000000] BIOS-e820: [mem 0x0000000000088000-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000001effffff] usable
[    0.000000] BIOS-e820: [mem 0x000000001f000000-0x000000001f0fffff] reserved
[    0.000000] BIOS-e820: [mem 0x000000001f100000-0x000000001fffffff] usable
[    0.000000] BIOS-e820: [mem 0x0000000020000000-0x00000000200fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000020100000-0x0000000077fa6fff] usable
[    0.000000] BIOS-e820: [mem 0x0000000077fa7000-0x00000000788b6fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000788b7000-0x00000000789b6fff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x00000000789b7000-0x00000000789f6fff] ACPI data
[    0.000000] BIOS-e820: [mem 0x00000000789f7000-0x0000000079452fff] usable
[    0.000000] BIOS-e820: [mem 0x0000000079453000-0x0000000079d52fff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000079d53000-0x0000000079ffffff] usable
[    0.000000] BIOS-e820: [mem 0x00000000e00f8000-0x00000000e00f8fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed01000-0x00000000fed01fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000ffc00000-0x00000000ffffffff] reserved
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] e820: update [mem 0x74892018-0x748a2057] usable ==> usable
[    0.000000] extended physical RAM map:
[    0.000000] reserve setup_data: [mem 0x0000000000000000-0x000000000006efff] usable
[    0.000000] reserve setup_data: [mem 0x000000000006f000-0x000000000006ffff] ACPI NVS
[    0.000000] reserve setup_data: [mem 0x0000000000070000-0x0000000000084fff] usable
[    0.000000] reserve setup_data: [mem 0x0000000000085000-0x0000000000086fff] reserved
[    0.000000] reserve setup_data: [mem 0x0000000000087000-0x0000000000087fff] usable
[    0.000000] reserve setup_data: [mem 0x0000000000088000-0x000000000009ffff] reserved
[    0.000000] reserve setup_data: [mem 0x0000000000100000-0x000000001effffff] usable
[    0.000000] reserve setup_data: [mem 0x000000001f000000-0x000000001f0fffff] reserved
[    0.000000] reserve setup_data: [mem 0x000000001f100000-0x000000001fffffff] usable
[    0.000000] reserve setup_data: [mem 0x0000000020000000-0x00000000200fffff] reserved
[    0.000000] reserve setup_data: [mem 0x0000000020100000-0x0000000074892017] usable
[    0.000000] reserve setup_data: [mem 0x0000000074892018-0x00000000748a2057] usable
[    0.000000] reserve setup_data: [mem 0x00000000748a2058-0x0000000077fa6fff] usable
[    0.000000] reserve setup_data: [mem 0x0000000077fa7000-0x00000000788b6fff] reserved
[    0.000000] reserve setup_data: [mem 0x00000000788b7000-0x00000000789b6fff] ACPI NVS
[    0.000000] reserve setup_data: [mem 0x00000000789b7000-0x00000000789f6fff] ACPI data
[    0.000000] reserve setup_data: [mem 0x00000000789f7000-0x0000000079452fff] usable
[    0.000000] reserve setup_data: [mem 0x0000000079453000-0x0000000079d52fff] reserved
[    0.000000] reserve setup_data: [mem 0x0000000079d53000-0x0000000079ffffff] usable
[    0.000000] reserve setup_data: [mem 0x00000000e00f8000-0x00000000e00f8fff] reserved
[    0.000000] reserve setup_data: [mem 0x00000000fed01000-0x00000000fed01fff] reserved
[    0.000000] reserve setup_data: [mem 0x00000000ffc00000-0x00000000ffffffff] reserved
[    0.000000] efi: EFI v2.40 by INSYDE Corp.
[    0.000000] efi:  ACPI 2.0=0x789f6014  SMBIOS=0x7826d000 
[    0.000000] efi: mem00: [Boot Code          |   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000000000000-0x0000000000001000) (0MB)
[    0.000000] efi: mem01: [Loader Data        |   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000000001000-0x0000000000007000) (0MB)
[    0.000000] efi: mem02: [Conventional Memory|   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000000007000-0x000000000006f000) (0MB)
[    0.000000] efi: mem03: [ACPI Memory NVS    |   |  |  |  |   |WB|WT|WC|UC] range=[0x000000000006f000-0x0000000000070000) (0MB)
[    0.000000] efi: mem04: [Conventional Memory|   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000000070000-0x0000000000085000) (0MB)
[    0.000000] efi: mem05: [Reserved           |   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000000085000-0x0000000000087000) (0MB)
[    0.000000] efi: mem06: [Boot Code          |   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000000087000-0x0000000000088000) (0MB)
[    0.000000] efi: mem07: [Runtime Data       |RUN|  |  |  |   |WB|WT|WC|UC] range=[0x0000000000088000-0x00000000000a0000) (0MB)
[    0.000000] efi: mem08: [Conventional Memory|   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000000100000-0x0000000001000000) (15MB)
[    0.000000] efi: mem09: [Loader Data        |   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000001000000-0x0000000001e29000) (14MB)
[    0.000000] efi: mem10: [Conventional Memory|   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000001e29000-0x000000001f000000) (465MB)
[    0.000000] efi: mem11: [Reserved           |   |  |  |  |   |WB|WT|WC|UC] range=[0x000000001f000000-0x000000001f100000) (1MB)
[    0.000000] efi: mem12: [Conventional Memory|   |  |  |  |   |WB|WT|WC|UC] range=[0x000000001f100000-0x0000000020000000) (15MB)
[    0.000000] efi: mem13: [Reserved           |   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000020000000-0x0000000020100000) (1MB)
[    0.000000] efi: mem14: [Conventional Memory|   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000020100000-0x0000000070000000) (1279MB)
[    0.000000] efi: mem15: [Boot Data          |   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000070000000-0x0000000070020000) (0MB)
[    0.000000] efi: mem16: [Conventional Memory|   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000070020000-0x000000007297e000) (41MB)
[    0.000000] efi: mem17: [Loader Code        |   |  |  |  |   |WB|WT|WC|UC] range=[0x000000007297e000-0x00000000747a7000) (30MB)
[    0.000000] efi: mem18: [Conventional Memory|   |  |  |  |   |WB|WT|WC|UC] range=[0x00000000747a7000-0x0000000074891000) (0MB)
[    0.000000] efi: mem19: [Loader Data        |   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000074891000-0x00000000748a7000) (0MB)
[    0.000000] efi: mem20: [Conventional Memory|   |  |  |  |   |WB|WT|WC|UC] range=[0x00000000748a7000-0x0000000074a8d000) (1MB)
[    0.000000] efi: mem21: [Loader Code        |   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000074a8d000-0x0000000074aa7000) (0MB)
[    0.000000] efi: mem22: [Conventional Memory|   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000074aa7000-0x0000000075ee1000) (20MB)
[    0.000000] efi: mem23: [Boot Data          |   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000075ee1000-0x0000000076fa7000) (16MB)
[    0.000000] efi: mem24: [Conventional Memory|   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000076fa7000-0x00000000778af000) (9MB)
[    0.000000] efi: mem25: [Loader Data        |   |  |  |  |   |WB|WT|WC|UC] range=[0x00000000778af000-0x0000000077c01000) (3MB)
[    0.000000] efi: mem26: [Boot Code          |   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000077c01000-0x0000000077fa7000) (3MB)
[    0.000000] efi: mem27: [Runtime Code       |RUN|  |  |  |   |WB|WT|WC|UC] range=[0x0000000077fa7000-0x0000000078037000) (0MB)
[    0.000000] efi: mem28: [Runtime Data       |RUN|  |  |  |   |WB|WT|WC|UC] range=[0x0000000078037000-0x00000000782b7000) (2MB)
[    0.000000] efi: mem29: [Reserved           |   |  |  |  |   |WB|WT|WC|UC] range=[0x00000000782b7000-0x00000000788b7000) (6MB)
[    0.000000] efi: mem30: [ACPI Memory NVS    |   |  |  |  |   |WB|WT|WC|UC] range=[0x00000000788b7000-0x00000000789b7000) (1MB)
[    0.000000] efi: mem31: [ACPI Reclaim Memory|   |  |  |  |   |WB|WT|WC|UC] range=[0x00000000789b7000-0x00000000789f7000) (0MB)
[    0.000000] efi: mem32: [Boot Data          |   |  |  |  |   |WB|WT|WC|UC] range=[0x00000000789f7000-0x0000000079453000) (10MB)
[    0.000000] efi: mem33: [Reserved           |   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000079453000-0x0000000079d53000) (9MB)
[    0.000000] efi: mem34: [Boot Data          |   |  |  |  |   |WB|WT|WC|UC] range=[0x0000000079d53000-0x000000007a000000) (2MB)
[    0.000000] efi: mem35: [Memory Mapped I/O  |RUN|  |  |  |   |  |  |  |UC] range=[0x00000000e00f8000-0x00000000e00f9000) (0MB)
[    0.000000] efi: mem36: [Memory Mapped I/O  |RUN|  |  |  |   |  |  |  |  ] range=[0x00000000fed01000-0x00000000fed02000) (0MB)
[    0.000000] efi: mem37: [Memory Mapped I/O  |RUN|  |  |  |   |  |  |  |  ] range=[0x00000000ffc00000-0x0000000100000000) (4MB)
[    0.000000] SMBIOS 2.7 present.
[    0.000000] DMI: LENOVO 80M4/Lenovo S21e-20, BIOS C4CN13WW(V1.03) 01/20/2015
[    0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[    0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[    0.000000] AGP: No AGP bridge found
[    0.000000] e820: last_pfn = 0x7a000 max_arch_pfn = 0x400000000
[    0.000000] MTRR default type: uncachable
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 0FFC00000 mask FFFC00000 write-protect
[    0.000000]   1 base 000000000 mask F80000000 write-back
[    0.000000]   2 base 07C000000 mask FFC000000 uncachable
[    0.000000]   3 base 07B000000 mask FFF000000 uncachable
[    0.000000]   4 base 07AE00000 mask FFFE00000 uncachable
[    0.000000]   5 disabled
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000] PAT configuration [0-7]: WB  WC  UC- UC  WB  WC  UC- UC  
[    0.000000] Scanning 1 areas for low memory corruption
[    0.000000] Base memory trampoline at [ffff88000007f000] 7f000 size 24576
[    0.000000] init_memory_mapping: [mem 0x00000000-0x000fffff]
[    0.000000]  [mem 0x00000000-0x000fffff] page 4k
[    0.000000] BRK [0x01b1d000, 0x01b1dfff] PGTABLE
[    0.000000] BRK [0x01b1e000, 0x01b1efff] PGTABLE
[    0.000000] BRK [0x01b1f000, 0x01b1ffff] PGTABLE
[    0.000000] init_memory_mapping: [mem 0x77600000-0x777fffff]
[    0.000000]  [mem 0x77600000-0x777fffff] page 2M
[    0.000000] BRK [0x01b20000, 0x01b20fff] PGTABLE
[    0.000000] init_memory_mapping: [mem 0x60000000-0x775fffff]
[    0.000000]  [mem 0x60000000-0x775fffff] page 2M
[    0.000000] init_memory_mapping: [mem 0x40000000-0x5fffffff]
[    0.000000]  [mem 0x40000000-0x5fffffff] page 2M
[    0.000000] init_memory_mapping: [mem 0x00100000-0x1effffff]
[    0.000000]  [mem 0x00100000-0x001fffff] page 4k
[    0.000000]  [mem 0x00200000-0x1effffff] page 2M
[    0.000000] init_memory_mapping: [mem 0x1f100000-0x1fffffff]
[    0.000000]  [mem 0x1f100000-0x1f1fffff] page 4k
[    0.000000]  [mem 0x1f200000-0x1fffffff] page 2M
[    0.000000] BRK [0x01b21000, 0x01b21fff] PGTABLE
[    0.000000] init_memory_mapping: [mem 0x20100000-0x3fffffff]
[    0.000000]  [mem 0x20100000-0x201fffff] page 4k
[    0.000000]  [mem 0x20200000-0x3fffffff] page 2M
[    0.000000] BRK [0x01b22000, 0x01b22fff] PGTABLE
[    0.000000] init_memory_mapping: [mem 0x77800000-0x77fa6fff]
[    0.000000]  [mem 0x77800000-0x77dfffff] page 2M
[    0.000000]  [mem 0x77e00000-0x77fa6fff] page 4k
[    0.000000] init_memory_mapping: [mem 0x789f7000-0x79452fff]
[    0.000000]  [mem 0x789f7000-0x789fffff] page 4k
[    0.000000]  [mem 0x78a00000-0x793fffff] page 2M
[    0.000000]  [mem 0x79400000-0x79452fff] page 4k
[    0.000000] init_memory_mapping: [mem 0x79d53000-0x79ffffff]
[    0.000000]  [mem 0x79d53000-0x79dfffff] page 4k
[    0.000000]  [mem 0x79e00000-0x79ffffff] page 2M
[    0.000000] RAMDISK: [mem 0x778af000-0x77c00fff]
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI: RSDP 0x00000000789F6014 000024 (v02 LENOVO)
[    0.000000] ACPI: XSDT 0x00000000789F6120 0000A4 (v01 LENOVO CB-01    00000001      01000013)
[    0.000000] ACPI: FACP 0x00000000789F2000 00010C (v05 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: DSDT 0x00000000789E2000 00BA32 (v02 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: FACS 0x0000000078981000 000040
[    0.000000] ACPI: SLIC 0x00000000789EE000 000176 (v01 INTEL  EDK2     00000003 VLV2 0100000D)
[    0.000000] ACPI: MSDM 0x00000000789F4000 000055 (v03 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: APIC 0x00000000789F0000 000084 (v03 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x00000000789E1000 0005AB (v01 INSYDE CpuDptf  00000003 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x00000000789DE000 000763 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x00000000789DC000 00017A (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: UEFI 0x00000000789F3000 000042 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: MCFG 0x00000000789EF000 00003C (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x00000000789DF000 0011E3 (v01 INSYDE DptfTab  00000003 ACPI 00040000)
[    0.000000] ACPI: UEFI 0x00000000789F5000 000236 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: HPET 0x00000000789F1000 000038 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x00000000789DD000 000290 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x00000000789DB000 000172 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: FPDT 0x00000000789DA000 000044 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: BGRT 0x00000000789D9000 000038 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at [mem 0x0000000000000000-0x0000000079ffffff]
[    0.000000] NODE_DATA(0) allocated [mem 0x778a8000-0x778abfff]
[    0.000000]  [ffffea0000000000-ffffea0001ffffff] PMD -> [ffff880072800000-ffff8800747fffff] on node 0
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x0000000000001000-0x0000000000ffffff]
[    0.000000]   DMA32    [mem 0x0000000001000000-0x0000000079ffffff]
[    0.000000]   Normal   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000000000001000-0x000000000006efff]
[    0.000000]   node   0: [mem 0x0000000000070000-0x0000000000084fff]
[    0.000000]   node   0: [mem 0x0000000000087000-0x0000000000087fff]
[    0.000000]   node   0: [mem 0x0000000000100000-0x000000001effffff]
[    0.000000]   node   0: [mem 0x000000001f100000-0x000000001fffffff]
[    0.000000]   node   0: [mem 0x0000000020100000-0x0000000077fa6fff]
[    0.000000]   node   0: [mem 0x00000000789f7000-0x0000000079452fff]
[    0.000000]   node   0: [mem 0x0000000079d53000-0x0000000079ffffff]
[    0.000000] Initmem setup node 0 [mem 0x0000000000001000-0x0000000079ffffff]
[    0.000000] On node 0 totalpages: 494132
[    0.000000]   DMA zone: 64 pages used for memmap
[    0.000000]   DMA zone: 22 pages reserved
[    0.000000]   DMA zone: 3972 pages, LIFO batch:0
[    0.000000]   DMA32 zone: 7744 pages used for memmap
[    0.000000]   DMA32 zone: 490160 pages, LIFO batch:31
[    0.000000] x86/hpet: Will disable the HPET for this platform because it's not reliable
[    0.000000] Reserving Intel graphics stolen memory at 0x7b000000-0x7effffff
[    0.000000] ACPI: PM-Timer IO Port: 0x408
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x02] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x04] disabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x02] lapic_id[0x06] disabled)
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] high level lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x02] high level lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x03] high level lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x04] high level lint[0x1])
[    0.000000] ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
[    0.000000] IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-86
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.000000] smpboot: Allowing 4 CPUs, 2 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
[    0.000000] PM: Registered nosave memory: [mem 0x0006f000-0x0006ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x00085000-0x00086fff]
[    0.000000] PM: Registered nosave memory: [mem 0x00088000-0x0009ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000fffff]
[    0.000000] PM: Registered nosave memory: [mem 0x1f000000-0x1f0fffff]
[    0.000000] PM: Registered nosave memory: [mem 0x20000000-0x200fffff]
[    0.000000] PM: Registered nosave memory: [mem 0x74892000-0x74892fff]
[    0.000000] PM: Registered nosave memory: [mem 0x748a2000-0x748a2fff]
[    0.000000] PM: Registered nosave memory: [mem 0x77fa7000-0x788b6fff]
[    0.000000] PM: Registered nosave memory: [mem 0x788b7000-0x789b6fff]
[    0.000000] PM: Registered nosave memory: [mem 0x789b7000-0x789f6fff]
[    0.000000] PM: Registered nosave memory: [mem 0x79453000-0x79d52fff]
[    0.000000] e820: [mem 0x7f000000-0xe00f7fff] available for PCI devices
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] setup_percpu: NR_CPUS:128 nr_cpumask_bits:128 nr_cpu_ids:4 nr_node_ids:1
[    0.000000] PERCPU: Embedded 31 pages/cpu @ffff880077400000 s86232 r8192 d32552 u524288
[    0.000000] pcpu-alloc: s86232 r8192 d32552 u524288 alloc=1*2097152
[    0.000000] pcpu-alloc: [0] 0 1 2 3 
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 486302
[    0.000000] Policy zone: DMA32
[    0.000000] Kernel command line: initrd=\initramfs-linux.img root=/dev/mmcblk0p5 rw quiet loglevel=0
[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[    0.000000] AGP: Checking aperture...
[    0.000000] AGP: No AGP bridge found
[    0.000000] Calgary: detecting Calgary via BIOS EBDA area
[    0.000000] Calgary: Unable to locate Rio Grande table in EBDA - bailing!
[    0.000000] Memory: 1893628K/1976528K available (5629K kernel code, 840K rwdata, 1784K rodata, 1160K init, 1152K bss, 82900K reserved, 0K cma-reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=4, Nodes=1
[    0.000000] Preemptible hierarchical RCU implementation.
[    0.000000] 	RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000] 	RCU restricting CPUs from NR_CPUS=128 to nr_cpu_ids=4.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=4
[    0.000000] NR_IRQS:8448 nr_irqs:1024 16
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [tty0] enabled
[    0.000000] Maximum core-clock to bus-clock ratio: 0x1a
[    0.000000] Resolved frequency ID: 0, frequency: 83200 KHz
[    0.000000] TSC runs at 2163200 KHz
[    0.000000] lapic_timer_frequency = 277333
[    0.000000] tsc: Detected 2163.200 MHz processor
[    0.000037] Calibrating delay loop (skipped), value calculated using timer frequency.. 4328.66 BogoMIPS (lpj=7210666)
[    0.000042] pid_max: default: 32768 minimum: 301
[    0.000053] ACPI: Core revision 20150204
[    0.024206] ACPI: All ACPI Tables successfully acquired
[    0.030347] Security Framework initialized
[    0.030357] Yama: becoming mindful.
[    0.030582] Dentry cache hash table entries: 262144 (order: 9, 2097152 bytes)
[    0.031454] Inode-cache hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.031870] Mount-cache hash table entries: 4096 (order: 3, 32768 bytes)
[    0.031880] Mountpoint-cache hash table entries: 4096 (order: 3, 32768 bytes)
[    0.032217] Initializing cgroup subsys blkio
[    0.032226] Initializing cgroup subsys memory
[    0.032241] Initializing cgroup subsys devices
[    0.032246] Initializing cgroup subsys freezer
[    0.032251] Initializing cgroup subsys net_cls
[    0.032279] CPU: Physical Processor ID: 0
[    0.032282] CPU: Processor Core ID: 0
[    0.032287] ENERGY_PERF_BIAS: Set to 'normal', was 'performance'
[    0.032290] ENERGY_PERF_BIAS: View and update with x86_energy_perf_policy(8)
[    0.037065] mce: CPU supports 6 MCE banks
[    0.037074] CPU0: Thermal monitoring handled by SMI
[    0.037080] process: using mwait in idle threads
[    0.037085] Last level iTLB entries: 4KB 48, 2MB 0, 4MB 0
[    0.037088] Last level dTLB entries: 4KB 128, 2MB 16, 4MB 16, 1GB 0
[    0.037202] Freeing SMP alternatives memory: 20K (ffffffff819f6000 - ffffffff819fb000)
[    0.040191] ftrace: allocating 21316 entries in 84 pages
[    0.052369] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.085371] TSC deadline timer enabled
[    0.085377] smpboot: CPU0: Intel(R) Celeron(R) CPU  N2840  @ 2.16GHz (fam: 06, model: 37, stepping: 08)
[    0.085414] Performance Events: PEBS fmt2+, 8-deep LBR, Silvermont events, full-width counters, Intel PMU driver.
[    0.085430] ... version:                3
[    0.085432] ... bit width:              40
[    0.085434] ... generic registers:      2
[    0.085436] ... value mask:             000000ffffffffff
[    0.085438] ... max period:             000000ffffffffff
[    0.085440] ... fixed-purpose events:   3
[    0.085442] ... event mask:             0000000700000003
[    0.105513] x86: Booting SMP configuration:
[    0.105519] .... node  #0, CPUs:      #1
[    0.121305] CPU1: Thermal monitoring handled by SMI
[    0.123465] NMI watchdog: enabled on all CPUs, permanently consumes one hw-PMU counter.
[    0.123487] x86: Booted up 1 node, 2 CPUs
[    0.123491] smpboot: Total of 2 processors activated (8656.33 BogoMIPS)
[    0.124072] devtmpfs: initialized
[    0.130067] PM: Registering ACPI NVS region [mem 0x0006f000-0x0006ffff] (4096 bytes)
[    0.130071] PM: Registering ACPI NVS region [mem 0x788b7000-0x789b6fff] (1048576 bytes)
[    0.130361] pinctrl core: initialized pinctrl subsystem
[    0.130424] RTC time:  6:11:10, date: 06/25/15
[    0.130674] NET: Registered protocol family 16
[    0.150046] cpuidle: using governor ladder
[    0.170046] cpuidle: using governor menu
[    0.170119] ACPI: bus type PCI registered
[    0.170123] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.170253] PCI: MMCONFIG for domain 0000 [bus 00-3f] at [mem 0xe0000000-0xe3ffffff] (base 0xe0000000)
[    0.170258] PCI: not using MMCONFIG
[    0.170261] PCI: Using configuration type 1 for base access
[    0.184031] ACPI: Added _OSI(Module Device)
[    0.184036] ACPI: Added _OSI(Processor Device)
[    0.184039] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.184041] ACPI: Added _OSI(Processor Aggregator Device)
[    0.197617] [Firmware Bug]: ACPI: BIOS _OSI(Linux) query ignored
[    0.198467] ACPI: Dynamic OEM Table Load:
[    0.198482] ACPI: SSDT 0xFFFF880075710000 000440 (v01 PmRef  Cpu0Ist  00003000 INTL 20130117)
[    0.199616] ACPI: Dynamic OEM Table Load:
[    0.199628] ACPI: SSDT 0xFFFF880075710800 000433 (v01 PmRef  Cpu0Cst  00003001 INTL 20130117)
[    0.201153] ACPI: Dynamic OEM Table Load:
[    0.201165] ACPI: SSDT 0xFFFF8800756DCC00 00015F (v01 PmRef  ApIst    00003000 INTL 20130117)
[    0.202266] ACPI: Dynamic OEM Table Load:
[    0.202277] ACPI: SSDT 0xFFFF8800756A6780 00008D (v01 PmRef  ApCst    00003000 INTL 20130117)
[    0.204403] ACPI: Interpreter enabled
[    0.204415] ACPI Exception: AE_NOT_FOUND, While evaluating Sleep State [\_S1_] (20150204/hwxface-580)
[    0.204424] ACPI Exception: AE_NOT_FOUND, While evaluating Sleep State [\_S2_] (20150204/hwxface-580)
[    0.204452] ACPI: (supports S0 S3 S4 S5)
[    0.204456] ACPI: Using IOAPIC for interrupt routing
[    0.204496] PCI: MMCONFIG for domain 0000 [bus 00-3f] at [mem 0xe0000000-0xe3ffffff] (base 0xe0000000)
[    0.205293] PCI: MMCONFIG at [mem 0xe0000000-0xe3ffffff] reserved in ACPI motherboard resources
[    0.205500] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.308914] ACPI: Power Resource [USBC] (on)
[    0.313571] ACPI: Power Resource [PLPE] (on)
[    0.313856] ACPI: Power Resource [PLPE] (on)
[    0.319641] ACPI: Power Resource [CLK0] (off)
[    0.319723] ACPI: Power Resource [CLK1] (off)
[    0.324104] ACPI: Power Resource [FN00] (off)
[    0.325135] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.325146] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    0.325430] acpi PNP0A08:00: _OSC: platform does not support [PME]
[    0.325700] acpi PNP0A08:00: _OSC: OS now controls [PCIeHotplug AER PCIeCapability]
[    0.325939] acpi PNP0A08:00: [Firmware Info]: MMCONFIG for domain 0000 [bus 00-3f] only partially covers this bridge
[    0.326231] PCI host bridge to bus 0000:00
[    0.326237] pci_bus 0000:00: root bus resource [bus 00-ff]
[    0.326242] pci_bus 0000:00: root bus resource [io  0x0070-0x0077]
[    0.326246] pci_bus 0000:00: root bus resource [io  0x0000-0x006f window]
[    0.326249] pci_bus 0000:00: root bus resource [io  0x0078-0x0cf7 window]
[    0.326253] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window]
[    0.326257] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[    0.326261] pci_bus 0000:00: root bus resource [mem 0x000c0000-0x000dffff window]
[    0.326265] pci_bus 0000:00: root bus resource [mem 0x000e0000-0x000fffff window]
[    0.326269] pci_bus 0000:00: root bus resource [mem 0x80000000-0x908ffffe window]
[    0.326281] pci 0000:00:00.0: [8086:0f00] type 00 class 0x060000
[    0.326453] pci 0000:00:02.0: [8086:0f31] type 00 class 0x030000
[    0.326470] pci 0000:00:02.0: reg 0x10: [mem 0x90000000-0x903fffff]
[    0.326482] pci 0000:00:02.0: reg 0x18: [mem 0x80000000-0x8fffffff pref]
[    0.326494] pci 0000:00:02.0: reg 0x20: [io  0x1050-0x1057]
[    0.326668] pci 0000:00:14.0: [8086:0f35] type 00 class 0x0c0330
[    0.326690] pci 0000:00:14.0: reg 0x10: [mem 0x90800000-0x9080ffff 64bit]
[    0.326765] pci 0000:00:14.0: PME# supported from D3hot D3cold
[    0.326867] pci 0000:00:14.0: System wakeup disabled by ACPI
[    0.326955] pci 0000:00:1a.0: [8086:0f18] type 00 class 0x108000
[    0.326985] pci 0000:00:1a.0: reg 0x10: [mem 0x90700000-0x907fffff]
[    0.327000] pci 0000:00:1a.0: reg 0x14: [mem 0x90600000-0x906fffff]
[    0.327114] pci 0000:00:1a.0: PME# supported from D0 D3hot
[    0.327257] pci 0000:00:1b.0: [8086:0f04] type 00 class 0x040300
[    0.327283] pci 0000:00:1b.0: reg 0x10: [mem 0x90810000-0x90813fff 64bit]
[    0.327360] pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
[    0.327496] pci 0000:00:1c.0: [8086:0f48] type 01 class 0x060400
[    0.327565] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[    0.327647] pci 0000:00:1c.0: System wakeup disabled by ACPI
[    0.327718] pci 0000:00:1c.1: [8086:0f4a] type 01 class 0x060400
[    0.327787] pci 0000:00:1c.1: PME# supported from D0 D3hot D3cold
[    0.327862] pci 0000:00:1c.1: System wakeup disabled by ACPI
[    0.327941] pci 0000:00:1f.0: [8086:0f1c] type 00 class 0x060100
[    0.328145] pci 0000:00:1f.3: [8086:0f12] type 00 class 0x0c0500
[    0.328182] pci 0000:00:1f.3: reg 0x10: [mem 0x90818000-0x9081801f]
[    0.328255] pci 0000:00:1f.3: reg 0x20: [io  0x1000-0x101f]
[    0.328596] pci 0000:01:00.0: [14e4:4365] type 00 class 0x028000
[    0.328625] pci 0000:01:00.0: reg 0x10: [mem 0x90500000-0x90507fff 64bit]
[    0.328768] pci 0000:01:00.0: supports D1 D2
[    0.328772] pci 0000:01:00.0: PME# supported from D0 D3hot D3cold
[    0.328824] pci 0000:01:00.0: System wakeup disabled by ACPI
[    0.333476] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.333484] pci 0000:00:1c.0:   bridge window [mem 0x90500000-0x905fffff]
[    0.333629] pci 0000:02:00.0: [10ec:5229] type 00 class 0xff0000
[    0.333657] pci 0000:02:00.0: reg 0x10: [mem 0x90400000-0x90400fff]
[    0.333829] pci 0000:02:00.0: supports D1 D2
[    0.333833] pci 0000:02:00.0: PME# supported from D1 D2 D3hot
[    0.333898] pci 0000:02:00.0: System wakeup disabled by ACPI
[    0.340139] pci 0000:00:1c.1: PCI bridge to [bus 02]
[    0.340148] pci 0000:00:1c.1:   bridge window [mem 0x90400000-0x904fffff]
[    0.390743] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.390862] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.390979] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.391096] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.391212] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.391329] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.391445] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.391566] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.396157] ACPI: Enabled 5 GPEs in block 00 to 3F
[    0.396384] ACPI : EC: GPE = 0x18, I/O: command/status = 0x66, data = 0x62
[    0.396617] vgaarb: setting as boot device: PCI:0000:00:02.0
[    0.396622] vgaarb: device added: PCI:0000:00:02.0,decodes=io+mem,owns=io+mem,locks=none
[    0.396627] vgaarb: loaded
[    0.396630] vgaarb: bridge control possible 0000:00:02.0
[    0.396848] PCI: Using ACPI for IRQ routing
[    0.398269] PCI: pci_cache_line_size set to 64 bytes
[    0.398356] e820: reserve RAM buffer [mem 0x0006f000-0x0006ffff]
[    0.398360] e820: reserve RAM buffer [mem 0x00085000-0x0008ffff]
[    0.398363] e820: reserve RAM buffer [mem 0x00088000-0x0008ffff]
[    0.398366] e820: reserve RAM buffer [mem 0x1f000000-0x1fffffff]
[    0.398368] e820: reserve RAM buffer [mem 0x74892018-0x77ffffff]
[    0.398371] e820: reserve RAM buffer [mem 0x77fa7000-0x77ffffff]
[    0.398374] e820: reserve RAM buffer [mem 0x79453000-0x7bffffff]
[    0.398377] e820: reserve RAM buffer [mem 0x7a000000-0x7bffffff]
[    0.398574] NetLabel: Initializing
[    0.398578] NetLabel:  domain hash size = 128
[    0.398580] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.398598] NetLabel:  unlabeled traffic allowed by default
[    0.398654] Switched to clocksource refined-jiffies
[    0.406917] pnp: PnP ACPI init
[    0.407019] pnp 00:00: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.407153] system 00:01: [io  0x0680-0x069f] has been reserved
[    0.407159] system 00:01: [io  0x0400-0x047f] could not be reserved
[    0.407163] system 00:01: [io  0x0500-0x05fe] has been reserved
[    0.407167] system 00:01: [io  0xfd40-0xfd7f] has been reserved
[    0.407174] system 00:01: [mem 0xfed40000-0xfed44fff] has been reserved
[    0.407180] system 00:01: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.407366] pnp 00:02: Plug and Play ACPI device, IDs PNP0501 (active)
[    0.407436] pnp 00:03: Plug and Play ACPI device, IDs PNP0303 (active)
[    0.460557] system 00:04: [mem 0xe0000000-0xefffffff] could not be reserved
[    0.460562] system 00:04: [mem 0xfed01000-0xfed01fff] has been reserved
[    0.460567] system 00:04: [mem 0xfed03000-0xfed03fff] has been reserved
[    0.460571] system 00:04: [mem 0xfed04000-0xfed04fff] has been reserved
[    0.460575] system 00:04: [mem 0xfed0c000-0xfed0ffff] could not be reserved
[    0.460580] system 00:04: [mem 0xfed08000-0xfed08fff] has been reserved
[    0.460584] system 00:04: [mem 0xfed1c000-0xfed1cfff] has been reserved
[    0.460588] system 00:04: [mem 0xfee00000-0xfeefffff] has been reserved
[    0.460592] system 00:04: [mem 0xfef00000-0xfeffffff] has been reserved
[    0.460598] system 00:04: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.462538] pnp: PnP ACPI: found 5 devices
[    0.470892] Switched to clocksource acpi_pm
[    0.470916] pci 0000:00:1c.0: bridge window [io  0x1000-0x0fff] to [bus 01] add_size 1000
[    0.470923] pci 0000:00:1c.0: bridge window [mem 0x00100000-0x000fffff 64bit pref] to [bus 01] add_size 200000
[    0.470933] pci 0000:00:1c.1: bridge window [io  0x1000-0x0fff] to [bus 02] add_size 1000
[    0.470938] pci 0000:00:1c.1: bridge window [mem 0x00100000-0x000fffff 64bit pref] to [bus 02] add_size 200000
[    0.470947] pci 0000:00:1c.0: res[15]=[mem 0x00100000-0x000fffff 64bit pref] get_res_add_size add_size 200000
[    0.470951] pci 0000:00:1c.1: res[15]=[mem 0x00100000-0x000fffff 64bit pref] get_res_add_size add_size 200000
[    0.470956] pci 0000:00:1c.0: res[13]=[io  0x1000-0x0fff] get_res_add_size add_size 1000
[    0.470959] pci 0000:00:1c.1: res[13]=[io  0x1000-0x0fff] get_res_add_size add_size 1000
[    0.470973] pci 0000:00:1c.0: BAR 15: no space for [mem size 0x00200000 64bit pref]
[    0.470978] pci 0000:00:1c.0: BAR 15: failed to assign [mem size 0x00200000 64bit pref]
[    0.470990] pci 0000:00:1c.1: BAR 15: no space for [mem size 0x00200000 64bit pref]
[    0.470995] pci 0000:00:1c.1: BAR 15: failed to assign [mem size 0x00200000 64bit pref]
[    0.471002] pci 0000:00:1c.0: BAR 13: assigned [io  0x2000-0x2fff]
[    0.471008] pci 0000:00:1c.1: BAR 13: assigned [io  0x3000-0x3fff]
[    0.471019] pci 0000:00:1c.1: BAR 15: no space for [mem size 0x00200000 64bit pref]
[    0.471024] pci 0000:00:1c.1: BAR 15: failed to assign [mem size 0x00200000 64bit pref]
[    0.471032] pci 0000:00:1c.0: BAR 15: no space for [mem size 0x00200000 64bit pref]
[    0.471037] pci 0000:00:1c.0: BAR 15: failed to assign [mem size 0x00200000 64bit pref]
[    0.471041] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.471046] pci 0000:00:1c.0:   bridge window [io  0x2000-0x2fff]
[    0.471053] pci 0000:00:1c.0:   bridge window [mem 0x90500000-0x905fffff]
[    0.471061] pci 0000:00:1c.1: PCI bridge to [bus 02]
[    0.471066] pci 0000:00:1c.1:   bridge window [io  0x3000-0x3fff]
[    0.471072] pci 0000:00:1c.1:   bridge window [mem 0x90400000-0x904fffff]
[    0.471081] pci_bus 0000:00: resource 4 [io  0x0070-0x0077]
[    0.471085] pci_bus 0000:00: resource 5 [io  0x0000-0x006f window]
[    0.471088] pci_bus 0000:00: resource 6 [io  0x0078-0x0cf7 window]
[    0.471092] pci_bus 0000:00: resource 7 [io  0x0d00-0xffff window]
[    0.471096] pci_bus 0000:00: resource 8 [mem 0x000a0000-0x000bffff window]
[    0.471100] pci_bus 0000:00: resource 9 [mem 0x000c0000-0x000dffff window]
[    0.471103] pci_bus 0000:00: resource 10 [mem 0x000e0000-0x000fffff window]
[    0.471107] pci_bus 0000:00: resource 11 [mem 0x80000000-0x908ffffe window]
[    0.471111] pci_bus 0000:01: resource 0 [io  0x2000-0x2fff]
[    0.471115] pci_bus 0000:01: resource 1 [mem 0x90500000-0x905fffff]
[    0.471118] pci_bus 0000:02: resource 0 [io  0x3000-0x3fff]
[    0.471122] pci_bus 0000:02: resource 1 [mem 0x90400000-0x904fffff]
[    0.471169] NET: Registered protocol family 2
[    0.471493] TCP established hash table entries: 16384 (order: 5, 131072 bytes)
[    0.471564] TCP bind hash table entries: 16384 (order: 6, 262144 bytes)
[    0.471640] TCP: Hash tables configured (established 16384 bind 16384)
[    0.471683] TCP: reno registered
[    0.471692] UDP hash table entries: 1024 (order: 3, 32768 bytes)
[    0.471712] UDP-Lite hash table entries: 1024 (order: 3, 32768 bytes)
[    0.471793] NET: Registered protocol family 1
[    0.471822] pci 0000:00:02.0: Video device with shadowed ROM
[    0.472179] PCI: CLS 64 bytes, default 64
[    0.472267] Unpacking initramfs...
[    0.563120] Freeing initrd memory: 3400K (ffff8800778af000 - ffff880077c01000)
[    0.563421] microcode: CPU0 sig=0x30678, pf=0x8, revision=0x829
[    0.563436] microcode: CPU1 sig=0x30678, pf=0x8, revision=0x829
[    0.563554] microcode: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
[    0.563604] Scanning for low memory corruption every 60 seconds
[    0.564134] futex hash table entries: 1024 (order: 4, 65536 bytes)
[    0.564164] Initialise system trusted keyring
[    0.564725] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.567600] zpool: loaded
[    0.567605] zbud: loaded
[    0.567927] VFS: Disk quotas dquot_6.5.2
[    0.567998] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.568341] Key type big_key registered
[    0.569046] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
[    0.569151] io scheduler noop registered
[    0.569156] io scheduler deadline registered
[    0.569218] io scheduler cfq registered (default)
[    0.569797] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.569866] pciehp 0000:00:1c.0:pcie04: Slot #0 AttnBtn- AttnInd- PwrInd- PwrCtrl- MRL- Interlock- NoCompl+ LLActRep+
[    0.569923] pciehp 0000:00:1c.0:pcie04: service driver pciehp loaded
[    0.569939] pciehp 0000:00:1c.1:pcie04: Slot #1 AttnBtn- AttnInd- PwrInd- PwrCtrl- MRL- Interlock- NoCompl+ LLActRep+
[    0.569990] pciehp 0000:00:1c.1:pcie04: service driver pciehp loaded
[    0.570004] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    0.570047] efifb: probing for efifb
[    0.570082] efifb: framebuffer at 0x80000000, mapped to 0xffffc90004480000, using 4128k, total 4128k
[    0.570085] efifb: mode is 1366x768x32, linelength=5504, pages=1
[    0.570087] efifb: scrolling: redraw
[    0.570091] efifb: Truecolor: size=8:8:8:8, shift=24:16:8:0
[    0.576254] Console: switching to colour frame buffer device 170x48
[    0.582190] fb0: EFI VGA frame buffer device
[    0.582208] intel_idle: MWAIT substates: 0x33000020
[    0.582212] intel_idle: v0.4 model 0x37
[    0.582214] intel_idle: lapic_timer_reliable_states 0xffffffff
[    0.582440] GHES: HEST is not enabled!
[    0.582570] Serial: 8250/16550 driver, 4 ports, IRQ sharing disabled
[    0.602830] 00:02: ttyS0 at I/O 0x3f8 (irq = 4, base_baud = 115200) is a 16550A
[    0.603584] hpet: number irqs doesn't agree with number of timers
[    0.603626] Linux agpgart interface v0.103
[    0.603722] rtc_cmos 00:00: RTC can wake from S4
[    0.603906] rtc_cmos 00:00: rtc core: registered rtc_cmos as rtc0
[    0.603937] rtc_cmos 00:00: alarms up to one month, y3k, 242 bytes nvram
[    0.603957] Intel P-state driver initializing.
[    0.604065] ledtrig-cpu: registered to indicate activity on CPUs
[    0.604633] TCP: cubic registered
[    0.604845] NET: Registered protocol family 10
[    0.605222] NET: Registered protocol family 17
[    0.605911] Loading compiled-in X.509 certificates
[    0.605935] registered taskstats version 1
[    0.606552]   Magic number: 3:130:166
[    0.606689] rtc_cmos 00:00: setting system clock to 2015-06-25 06:11:11 UTC (1435212671)
[    0.606857] PM: Hibernation image not present or could not be loaded.
[    0.607364] Freeing unused kernel memory: 1160K (ffffffff818d4000 - ffffffff819f6000)
[    0.607370] Write protecting the kernel read-only data: 8192k
[    0.607891] Freeing unused kernel memory: 504K (ffff880001582000 - ffff880001600000)
[    0.608086] Freeing unused kernel memory: 264K (ffff8800017be000 - ffff880001800000)
[    0.620615] random: systemd-tmpfile urandom read with 1 bits of entropy available
[    0.691478] sdhci: Secure Digital Host Controller Interface driver
[    0.691483] sdhci: Copyright(c) Pierre Ossman
[    0.692967] sdhci-acpi 80860F14:01: No vmmc regulator found
[    0.692975] sdhci-acpi 80860F14:01: No vqmmc regulator found
[    0.699406] mmc0: SDHCI controller on ACPI [80860F14:01] using ADMA
[    0.708737] i8042: PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
[    0.708742] i8042: PNP: PS/2 appears to have AUX port disabled, if this is incorrect please boot with i8042.nopnp
[    0.710538] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.722550] ACPI: bus type USB registered
[    0.722602] usbcore: registered new interface driver usbfs
[    0.722623] usbcore: registered new interface driver hub
[    0.722667] usbcore: registered new device driver usb
[    0.724112] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    0.724126] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 1
[    0.724532] xhci_hcd 0000:00:14.0: hcc params 0x200077c1 hci version 0x100 quirks 0x00009810
[    0.724543] xhci_hcd 0000:00:14.0: cache line size of 64 is not supported
[    0.724967] hub 1-0:1.0: USB hub found
[    0.724986] hub 1-0:1.0: 6 ports detected
[    0.725176] rtsx_pci 0000:02:00.0: rtsx_pci_acquire_irq: pcr->msi_en = 1, pci->irq = 264
[    0.725751] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    0.725759] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 2
[    0.726081] hub 2-0:1.0: USB hub found
[    0.726097] hub 2-0:1.0: 1 port detected
[    0.826916] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    0.844804] mmc0: MAN_BKOPS_EN bit is not set
[    0.858889] mmc0: new HS200 MMC card at address 0001
[    0.860982] Driver 'mmcblk' needs updating - please use bus_type methods
[    0.861139] mmcblk0: mmc0:0001 SDW64G 58.2 GiB 
[    0.861246] mmcblk0boot0: mmc0:0001 SDW64G partition 1 4.00 MiB
[    0.861320] mmcblk0boot1: mmc0:0001 SDW64G partition 2 4.00 MiB
[    0.861388] mmcblk0rpmb: mmc0:0001 SDW64G partition 3 4.00 MiB
[    0.865470]  mmcblk0: p1 p2 p3 p4 p5
[    0.997606] EXT4-fs (mmcblk0p5): mounted filesystem with ordered data mode. Opts: (null)
[    1.084800] usb 1-3: new high-speed USB device number 2 using xhci_hcd
[    1.118762] ip_tables: (C) 2000-2006 Netfilter Core Team
[    1.118817] systemd[1]: Inserted module 'ip_tables'
[    1.139968] systemd[1]: systemd 221 running in system mode. (+PAM -AUDIT -SELINUX -IMA -APPARMOR +SMACK -SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ +LZ4 +SECCOMP +BLKID -ELFUTILS +KMOD +IDN)
[    1.140202] systemd[1]: Detected architecture x86-64.
[    1.140508] systemd[1]: Set hostname to <oberth>.
[    1.254135] systemd[1]: display-manager.service: Cannot add dependency job, ignoring: Unit display-manager.service failed to load: No such file or directory.
[    1.254932] systemd[1]: Reached target Swap.
[    1.254952] systemd[1]: Starting Swap.
[    1.254988] systemd[1]: Reached target Remote File Systems.
[    1.255002] systemd[1]: Starting Remote File Systems.
[    1.255103] systemd[1]: Started Forward Password Requests to Wall Directory Watch.
[    1.255119] systemd[1]: Starting Forward Password Requests to Wall Directory Watch.
[    1.255153] systemd[1]: Reached target Encrypted Volumes.
[    1.255167] systemd[1]: Starting Encrypted Volumes.
[    1.255520] systemd[1]: Created slice Root Slice.
[    1.255536] systemd[1]: Starting Root Slice.
[    1.255622] systemd[1]: Listening on udev Control Socket.
[    1.255637] systemd[1]: Starting udev Control Socket.
[    1.255716] systemd[1]: Listening on Journal Socket (/dev/log).
[    1.255732] systemd[1]: Starting Journal Socket (/dev/log).
[    1.255955] systemd[1]: Created slice System Slice.
[    1.255975] systemd[1]: Starting System Slice.
[    1.256053] systemd[1]: Listening on Journal Socket.
[    1.256073] systemd[1]: Starting Journal Socket.
[    1.256914] systemd[1]: Mounting Debug File System...
[    1.259776] systemd[1]: Mounting Temporary Directory...
[    1.260787] systemd[1]: Mounting Huge Pages File System...
[    1.260920] systemd[1]: Listening on /dev/initctl Compatibility Named Pipe.
[    1.260950] systemd[1]: Starting /dev/initctl Compatibility Named Pipe.
[    1.272801] systemd[1]: Listening on Journal Audit Socket.
[    1.273737] systemd[1]: Starting Journal Service...
[    1.273858] systemd[1]: Listening on LVM2 metadata daemon socket.
[    1.273884] systemd[1]: Starting LVM2 metadata daemon socket.
[    1.273967] systemd[1]: Listening on Device-mapper event daemon FIFOs.
[    1.273983] systemd[1]: Starting Device-mapper event daemon FIFOs.
[    1.274058] systemd[1]: Listening on udev Kernel Socket.
[    1.274074] systemd[1]: Starting udev Kernel Socket.
[    1.274191] systemd[1]: Started Dispatch Password Requests to Console Directory Watch.
[    1.274208] systemd[1]: Starting Dispatch Password Requests to Console Directory Watch.
[    1.274244] systemd[1]: Reached target Paths.
[    1.274259] systemd[1]: Starting Paths.
[    1.274299] systemd[1]: Started File System Check on Root Device.
[    1.275374] systemd[1]: Starting Remount Root and Kernel File Systems...
[    1.275739] systemd[1]: Set up automount Arbitrary Executable File Formats File System Automount Point.
[    1.275766] systemd[1]: Starting Arbitrary Executable File Formats File System Automount Point.
[    1.279247] systemd[1]: Started Set Up Additional Binary Formats.
[    1.283153] EXT4-fs (mmcblk0p5): re-mounted. Opts: data=ordered
[    1.283556] systemd[1]: Started Load Kernel Modules.
[    1.283607] systemd[1]: Mounted FUSE Control File System.
[    1.284495] systemd[1]: Starting Apply Kernel Variables...
[    1.285554] systemd[1]: Mounting Configuration File System...
[    1.285839] systemd[1]: Created slice User and Session Slice.
[    1.285861] systemd[1]: Starting User and Session Slice.
[    1.285906] systemd[1]: Reached target Slices.
[    1.285928] systemd[1]: Starting Slices.
[    1.286154] systemd[1]: Created slice system-getty.slice.
[    1.286173] systemd[1]: Starting system-getty.slice.
[    1.287218] systemd[1]: Starting Create list of required static device nodes for the current kernel...
[    1.289295] systemd[1]: Starting Setup Virtual Console...
[    1.290894] systemd[1]: Mounting POSIX Message Queue File System...
[    1.293733] systemd[1]: Mounted Configuration File System.
[    1.293800] systemd[1]: Mounted Huge Pages File System.
[    1.293843] systemd[1]: Mounted Debug File System.
[    1.293946] systemd[1]: Mounted Temporary Directory.
[    1.295019] systemd[1]: Started Remount Root and Kernel File Systems.
[    1.295677] systemd[1]: Started Create list of required static device nodes for the current kernel.
[    1.298757] systemd[1]: Started Setup Virtual Console.
[    1.303004] systemd[1]: Mounted POSIX Message Queue File System.
[    1.308546] systemd[1]: Started Apply Kernel Variables.
[    1.326283] systemd[1]: Started Rebuild Hardware Database.
[    1.327240] systemd[1]: Starting udev Coldplug all Devices...
[    1.327301] systemd[1]: Started First Boot Wizard.
[    1.327376] systemd[1]: Started Create System Users.
[    1.328570] systemd[1]: Starting Create Static Device Nodes in /dev...
[    1.329600] systemd[1]: Starting Load/Save Random Seed...
[    1.329660] systemd[1]: Started Rebuild Dynamic Linker Cache.
[    1.342262] systemd[1]: Started Load/Save Random Seed.
[    1.381262] systemd[1]: Started Create Static Device Nodes in /dev.
[    1.381469] systemd[1]: Reached target Local File Systems (Pre).
[    1.381493] systemd[1]: Starting Local File Systems (Pre).
[    1.381536] systemd[1]: Mounted Virtual Machine and Container Storage.
[    1.382633] systemd[1]: Starting udev Kernel Device Manager...
[    1.423081] systemd[1]: Started udev Coldplug all Devices.
[    1.438670] systemd[1]: Started udev Kernel Device Manager.
[    1.441777] usb 1-4: new full-speed USB device number 3 using xhci_hcd
[    1.450021] systemd[1]: Started Journal Service.
[    1.459802] systemd-journald[183]: Received request to flush runtime journal from PID 1
[    1.565168] tsc: Refined TSC clocksource calibration: 2166.661 MHz
[    1.609768] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    1.614593] media: Linux media interface: v0.10
[    1.620524] input: Lid Switch as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:01/PNP0C0D:00/input/input1
[    1.620580] ACPI: Lid Switch [LID0]
[    1.620684] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input2
[    1.620690] ACPI: Power Button [PWRB]
[    1.620782] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3
[    1.620787] ACPI: Power Button [PWRF]
[    1.655953] Linux video capture interface: v2.00
[    1.660987] hidraw: raw HID events driver (C) Jiri Kosina
[    1.666792] ACPI Warning: SystemIO range 0x0000000000001000-0x000000000000101F conflicts with OpRegion 0x0000000000001000-0x000000000000100F (\_SB_.PCI0.SBUS.SMBI) (20150204/utaddress-254)
[    1.666804] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    1.713530] uvcvideo: Found UVC 1.00 device Lenovo EasyCamera (13d3:5741)
[    1.721277] input: Lenovo EasyCamera as /devices/pci0000:00/0000:00:14.0/usb1/1-3/1-3:1.0/input/input4
[    1.721338] usbcore: registered new interface driver uvcvideo
[    1.721341] USB Video Class driver (1.1.1)
[    1.726797] [drm] Initialized drm 1.1.0 20060810
[    1.758602] sound hdaudioC0D0: autoconfig for ALC233: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:speaker
[    1.758652] sound hdaudioC0D0:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[    1.758656] sound hdaudioC0D0:    hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
[    1.758658] sound hdaudioC0D0:    mono: mono_out=0x0
[    1.758661] sound hdaudioC0D0:    inputs:
[    1.758665] sound hdaudioC0D0:      Mic=0x19
[    1.758668] sound hdaudioC0D0:      Internal Mic=0x12
[    1.764092] dw_dmac INTL9C60:01: DesignWare DMA Controller, 8 channels
[    1.773443] ACPI: AC Adapter [ACAD] (on-line)
[    1.792978] [drm] Memory usable by graphics device = 2048M
[    1.792987] checking generic (80000000 408000) vs hw (80000000 10000000)
[    1.792990] fb: switching to inteldrmfb from EFI VGA
[    1.793024] Console: switching to colour dummy device 80x25
[    1.793177] [drm] Replacing VGA console driver
[    1.794507] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    1.794512] [drm] Driver supports precise vblank timestamp query.
[    1.807684] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/sound/card0/hdaudioC0D0/input5
[    1.808133] input: HDA Intel PCH Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input6
[    1.808188] input: HDA Intel PCH Front Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input7
[    1.808242] input: HDA Intel PCH HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:1b.0/sound/card0/input8
[    1.819582] [Firmware Bug]: No valid trip found
[    1.844882] cfg80211: Calling CRDA to update world regulatory domain
[    1.855789] ACPI: Battery Slot [BAT1] (battery present)
[    1.880453] input: PC Speaker as /devices/platform/pcspkr/input/input9
[    1.933637] wl: module license 'Mixed/Proprietary' taints kernel.
[    1.933643] Disabling lock debugging due to kernel taint
[    1.982246] vgaarb: device changed decodes: PCI:0000:00:02.0,olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    2.018397] kvm: disabled by bios
[    2.021085] FAT-fs (mmcblk0p1): Volume was not properly unmounted. Some data may be corrupt. Please run fsck.
[    2.040604] wl0: online cpus 1
[    2.041237] wlan0: Broadcom BCM4365 802.11 Hybrid Wireless Controller 6.30.223.248 (r487574)
[    2.050806] kvm: disabled by bios
[    2.054615] iTCO_vendor_support: vendor-support=0
[    2.056242] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.11
[    2.056319] iTCO_wdt: Found a Bay Trail SoC TCO device (Version=3, TCOBASE=0x0460)
[    2.056866] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[    2.081512] fbcon: inteldrmfb (fb0) is primary device
[    2.084131] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    2.084383] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input10
[    2.084577] [drm] Initialized i915 1.6.0 20150130 for 0000:00:02.0 on minor 0
[    2.093234] hid-rmi 0018:06CB:2956.0001: Scanning PDT...
[    2.095601] hid-rmi 0018:06CB:2956.0001: Found F34 on page 0x00
[    2.097875] hid-rmi 0018:06CB:2956.0001: Found F01 on page 0x00
[    2.098228] intel_rapl: Found RAPL domain package
[    2.098230] intel_rapl: Found RAPL domain core
[    2.100288] hid-rmi 0018:06CB:2956.0001: Found F11 on page 0x00
[    2.107514] hid-rmi 0018:06CB:2956.0001: Found F54 on page 0x01
[    2.110010] hid-rmi 0018:06CB:2956.0001: Found F30 on page 0x01
[    2.117261] hid-rmi 0018:06CB:2956.0001: Found F55 on page 0x02
[    2.123340] hid-rmi 0018:06CB:2956.0001: rmi_scan_pdt: Done with PDT scan.
[    2.142197] hid-rmi 0018:06CB:2956.0001: rmi_populate_f11: size in mm: 97 x 52
[    2.154666] input: SYNA2B27:00 06CB:2956 as /devices/platform/80860F41:00/i2c-0/i2c-SYNA2B27:00/0018:06CB:2956.0001/input/input11
[    2.154829] hid-rmi 0018:06CB:2956.0001: input,hidraw0: <UNKNOWN> HID v1.00 Mouse [SYNA2B27:00 06CB:2956] on 
[    2.178918] wl 0000:01:00.0 wlp1s0: renamed from wlan0
[    2.276536] mousedev: PS/2 mouse device common for all mice
[    2.566064] Switched to clocksource tsc
[    2.823077] Console: switching to colour frame buffer device 170x48
[    2.828127] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    2.828129] i915 0000:00:02.0: registered panic notifier
[    4.051552] random: nonblocking pool is initialized
[    4.147237] wl0: link up (wlp1s0)
Comment 3 Benjamin Tissoires 2015-06-25 17:25:33 UTC
Thanks for the dmesg. This is definitively a kernel bug, involving hid-rmi.

Could you please attach the output of "sudo hid-recorder /dev/hidraw*" [1] when you are touching the touchpad. Ideally, there should be some debug sequences when you touch it, but if it doesn't show anything, I would still be interested in the current output.

[1] http://bentiss.github.io/hid-replay-docs/
Comment 4 derek 2015-06-25 17:40:16 UTC
Nothing appears to show up when I touch the touchpad, here's the output:

D: 0
R: 133 05 01 09 02 a1 01 85 01 09 01 a1 00 05 09 19 01 29 02 15 00 25 01 75 01 95 02 81 02 95 06 81 01 05 01 09 30 09 31 15 81 25 7f 75 08 95 02 81 06 c0 c0 06 00 ff 09 01 a1 01 85 09 09 02 15 00 26 ff 00 75 08 95 14 91 02 85 0a 09 03 15 00 26 ff 00 75 08 95 14 91 02 85 0b 09 04 15 00 26 ff 00 75 08 95 1d 81 02 85 0c 09 05 15 00 26 ff 00 75 08 95 1d 81 02 85 0f 09 06 15 00 26 ff 00 75 08 95 01 b1 02 c0
N: SYNA2B27:00 06CB:2956
P: 
I: 18 06cb 2956

Terminating the program results in:

"No events where recorded"
Comment 5 Benjamin Tissoires 2015-06-25 17:44:57 UTC
OK, thanks. So a long shot is that you would need to have this commit in your tree:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/drivers/hid/i2c-hid/i2c-hid.c?id=a485923efbb83056b7fb79e4fd2fee05c990ad5e

It is in a v4.1, so if you can not cherry-pick it, could you try a v4.1 kernel?
Comment 6 derek 2015-06-26 00:18:23 UTC
Finally got 4.1 built and installed - still no dice. Here's the dmesg output:

[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Initializing cgroup subsys cpuacct
[    0.000000] Linux version 4.1.0-gaefbef1 (derek@oberth) (gcc version 5.1.0 (GCC) ) #1 SMP PREEMPT Thu Jun 25 18:37:52 UTC 2015
[    0.000000] Command line: initrd=\initramfs-linux-git.img root=/dev/mmcblk0p5 rw quiet loglevel=0
[    0.000000] x86/fpu: Legacy x87 FPU detected.
[    0.000000] x86/fpu: Using 'lazy' FPU context switches.
[    0.000000] e820: BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000006efff] usable
[    0.000000] BIOS-e820: [mem 0x000000000006f000-0x000000000006ffff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x0000000000070000-0x0000000000084fff] usable
[    0.000000] BIOS-e820: [mem 0x0000000000085000-0x0000000000086fff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000087000-0x0000000000087fff] usable
[    0.000000] BIOS-e820: [mem 0x0000000000088000-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x000000001effffff] usable
[    0.000000] BIOS-e820: [mem 0x000000001f000000-0x000000001f0fffff] reserved
[    0.000000] BIOS-e820: [mem 0x000000001f100000-0x000000001fffffff] usable
[    0.000000] BIOS-e820: [mem 0x0000000020000000-0x00000000200fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000020100000-0x0000000077fa6fff] usable
[    0.000000] BIOS-e820: [mem 0x0000000077fa7000-0x00000000788b6fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000788b7000-0x00000000789b6fff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x00000000789b7000-0x00000000789f6fff] ACPI data
[    0.000000] BIOS-e820: [mem 0x00000000789f7000-0x0000000079452fff] usable
[    0.000000] BIOS-e820: [mem 0x0000000079453000-0x0000000079d52fff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000079d53000-0x0000000079ffffff] usable
[    0.000000] BIOS-e820: [mem 0x00000000e00f8000-0x00000000e00f8fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed01000-0x00000000fed01fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000ffc00000-0x00000000ffffffff] reserved
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] e820: update [mem 0x74892018-0x748a2057] usable ==> usable
[    0.000000] extended physical RAM map:
[    0.000000] reserve setup_data: [mem 0x0000000000000000-0x000000000006efff] usable
[    0.000000] reserve setup_data: [mem 0x000000000006f000-0x000000000006ffff] ACPI NVS
[    0.000000] reserve setup_data: [mem 0x0000000000070000-0x0000000000084fff] usable
[    0.000000] reserve setup_data: [mem 0x0000000000085000-0x0000000000086fff] reserved
[    0.000000] reserve setup_data: [mem 0x0000000000087000-0x0000000000087fff] usable
[    0.000000] reserve setup_data: [mem 0x0000000000088000-0x000000000009ffff] reserved
[    0.000000] reserve setup_data: [mem 0x0000000000100000-0x000000001effffff] usable
[    0.000000] reserve setup_data: [mem 0x000000001f000000-0x000000001f0fffff] reserved
[    0.000000] reserve setup_data: [mem 0x000000001f100000-0x000000001fffffff] usable
[    0.000000] reserve setup_data: [mem 0x0000000020000000-0x00000000200fffff] reserved
[    0.000000] reserve setup_data: [mem 0x0000000020100000-0x0000000074892017] usable
[    0.000000] reserve setup_data: [mem 0x0000000074892018-0x00000000748a2057] usable
[    0.000000] reserve setup_data: [mem 0x00000000748a2058-0x0000000077fa6fff] usable
[    0.000000] reserve setup_data: [mem 0x0000000077fa7000-0x00000000788b6fff] reserved
[    0.000000] reserve setup_data: [mem 0x00000000788b7000-0x00000000789b6fff] ACPI NVS
[    0.000000] reserve setup_data: [mem 0x00000000789b7000-0x00000000789f6fff] ACPI data
[    0.000000] reserve setup_data: [mem 0x00000000789f7000-0x0000000079452fff] usable
[    0.000000] reserve setup_data: [mem 0x0000000079453000-0x0000000079d52fff] reserved
[    0.000000] reserve setup_data: [mem 0x0000000079d53000-0x0000000079ffffff] usable
[    0.000000] reserve setup_data: [mem 0x00000000e00f8000-0x00000000e00f8fff] reserved
[    0.000000] reserve setup_data: [mem 0x00000000fed01000-0x00000000fed01fff] reserved
[    0.000000] reserve setup_data: [mem 0x00000000ffc00000-0x00000000ffffffff] reserved
[    0.000000] efi: EFI v2.40 by INSYDE Corp.
[    0.000000] efi:  ACPI 2.0=0x789f6014  ESRT=0x78056818  SMBIOS=0x7826d000 
[    0.000000] esrt: Reserving ESRT space from 0x0000000078056818 to 0x0000000078056850.
[    0.000000] SMBIOS 2.7 present.
[    0.000000] DMI: LENOVO 80M4/Lenovo S21e-20, BIOS C4CN13WW(V1.03) 01/20/2015
[    0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[    0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[    0.000000] e820: last_pfn = 0x7a000 max_arch_pfn = 0x400000000
[    0.000000] MTRR default type: uncachable
[    0.000000] MTRR fixed ranges enabled:
[    0.000000]   00000-9FFFF write-back
[    0.000000]   A0000-BFFFF uncachable
[    0.000000]   C0000-FFFFF write-protect
[    0.000000] MTRR variable ranges enabled:
[    0.000000]   0 base 0FFC00000 mask FFFC00000 write-protect
[    0.000000]   1 base 000000000 mask F80000000 write-back
[    0.000000]   2 base 07C000000 mask FFC000000 uncachable
[    0.000000]   3 base 07B000000 mask FFF000000 uncachable
[    0.000000]   4 base 07AE00000 mask FFFE00000 uncachable
[    0.000000]   5 disabled
[    0.000000]   6 disabled
[    0.000000]   7 disabled
[    0.000000] x86/PAT: Configuration [0-7]: WB  WC  UC- UC  WB  WC  UC- WT  
[    0.000000] Scanning 1 areas for low memory corruption
[    0.000000] Base memory trampoline at [ffff88000007f000] 7f000 size 24576
[    0.000000] init_memory_mapping: [mem 0x00000000-0x000fffff]
[    0.000000]  [mem 0x00000000-0x000fffff] page 4k
[    0.000000] BRK [0x01b2d000, 0x01b2dfff] PGTABLE
[    0.000000] BRK [0x01b2e000, 0x01b2efff] PGTABLE
[    0.000000] BRK [0x01b2f000, 0x01b2ffff] PGTABLE
[    0.000000] init_memory_mapping: [mem 0x77600000-0x777fffff]
[    0.000000]  [mem 0x77600000-0x777fffff] page 2M
[    0.000000] BRK [0x01b30000, 0x01b30fff] PGTABLE
[    0.000000] init_memory_mapping: [mem 0x60000000-0x775fffff]
[    0.000000]  [mem 0x60000000-0x775fffff] page 2M
[    0.000000] init_memory_mapping: [mem 0x40000000-0x5fffffff]
[    0.000000]  [mem 0x40000000-0x5fffffff] page 2M
[    0.000000] init_memory_mapping: [mem 0x00100000-0x1effffff]
[    0.000000]  [mem 0x00100000-0x001fffff] page 4k
[    0.000000]  [mem 0x00200000-0x1effffff] page 2M
[    0.000000] init_memory_mapping: [mem 0x1f100000-0x1fffffff]
[    0.000000]  [mem 0x1f100000-0x1f1fffff] page 4k
[    0.000000]  [mem 0x1f200000-0x1fffffff] page 2M
[    0.000000] BRK [0x01b31000, 0x01b31fff] PGTABLE
[    0.000000] init_memory_mapping: [mem 0x20100000-0x3fffffff]
[    0.000000]  [mem 0x20100000-0x201fffff] page 4k
[    0.000000]  [mem 0x20200000-0x3fffffff] page 2M
[    0.000000] BRK [0x01b32000, 0x01b32fff] PGTABLE
[    0.000000] init_memory_mapping: [mem 0x77800000-0x77fa6fff]
[    0.000000]  [mem 0x77800000-0x77dfffff] page 2M
[    0.000000]  [mem 0x77e00000-0x77fa6fff] page 4k
[    0.000000] init_memory_mapping: [mem 0x789f7000-0x79452fff]
[    0.000000]  [mem 0x789f7000-0x789fffff] page 4k
[    0.000000]  [mem 0x78a00000-0x793fffff] page 2M
[    0.000000]  [mem 0x79400000-0x79452fff] page 4k
[    0.000000] init_memory_mapping: [mem 0x79d53000-0x79ffffff]
[    0.000000]  [mem 0x79d53000-0x79dfffff] page 4k
[    0.000000]  [mem 0x79e00000-0x79ffffff] page 2M
[    0.000000] RAMDISK: [mem 0x778b3000-0x77c00fff]
[    0.000000] ACPI: Early table checksum verification disabled
[    0.000000] ACPI: RSDP 0x00000000789F6014 000024 (v02 LENOVO)
[    0.000000] ACPI: XSDT 0x00000000789F6120 0000A4 (v01 LENOVO CB-01    00000001      01000013)
[    0.000000] ACPI: FACP 0x00000000789F2000 00010C (v05 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: DSDT 0x00000000789E2000 00BA32 (v02 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: FACS 0x0000000078981000 000040
[    0.000000] ACPI: SLIC 0x00000000789EE000 000176 (v01 INTEL  EDK2     00000003 VLV2 0100000D)
[    0.000000] ACPI: MSDM 0x00000000789F4000 000055 (v03 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: APIC 0x00000000789F0000 000084 (v03 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x00000000789E1000 0005AB (v01 INSYDE CpuDptf  00000003 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x00000000789DE000 000763 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x00000000789DC000 00017A (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: UEFI 0x00000000789F3000 000042 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: MCFG 0x00000000789EF000 00003C (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x00000000789DF000 0011E3 (v01 INSYDE DptfTab  00000003 ACPI 00040000)
[    0.000000] ACPI: UEFI 0x00000000789F5000 000236 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: HPET 0x00000000789F1000 000038 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x00000000789DD000 000290 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: SSDT 0x00000000789DB000 000172 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: FPDT 0x00000000789DA000 000044 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: BGRT 0x00000000789D9000 000038 (v01 LENOVO CB-01    00000001 ACPI 00040000)
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] No NUMA configuration found
[    0.000000] Faking a node at [mem 0x0000000000000000-0x0000000079ffffff]
[    0.000000] NODE_DATA(0) allocated [mem 0x778ac000-0x778affff]
[    0.000000]  [ffffea0000000000-ffffea0001ffffff] PMD -> [ffff880072800000-ffff8800747fffff] on node 0
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x0000000000001000-0x0000000000ffffff]
[    0.000000]   DMA32    [mem 0x0000000001000000-0x0000000079ffffff]
[    0.000000]   Normal   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x0000000000001000-0x000000000006efff]
[    0.000000]   node   0: [mem 0x0000000000070000-0x0000000000084fff]
[    0.000000]   node   0: [mem 0x0000000000087000-0x0000000000087fff]
[    0.000000]   node   0: [mem 0x0000000000100000-0x000000001effffff]
[    0.000000]   node   0: [mem 0x000000001f100000-0x000000001fffffff]
[    0.000000]   node   0: [mem 0x0000000020100000-0x0000000077fa6fff]
[    0.000000]   node   0: [mem 0x00000000789f7000-0x0000000079452fff]
[    0.000000]   node   0: [mem 0x0000000079d53000-0x0000000079ffffff]
[    0.000000] Initmem setup node 0 [mem 0x0000000000001000-0x0000000079ffffff]
[    0.000000] On node 0 totalpages: 494132
[    0.000000]   DMA zone: 64 pages used for memmap
[    0.000000]   DMA zone: 22 pages reserved
[    0.000000]   DMA zone: 3972 pages, LIFO batch:0
[    0.000000]   DMA32 zone: 7744 pages used for memmap
[    0.000000]   DMA32 zone: 490160 pages, LIFO batch:31
[    0.000000] x86/hpet: Will disable the HPET for this platform because it's not reliable
[    0.000000] Reserving Intel graphics stolen memory at 0x7b000000-0x7effffff
[    0.000000] ACPI: PM-Timer IO Port: 0x408
[    0.000000] ACPI: Local APIC address 0xfee00000
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] high level lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x02] high level lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x03] high level lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x04] high level lint[0x1])
[    0.000000] IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-86
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] ACPI: IRQ0 used by override.
[    0.000000] ACPI: IRQ9 used by override.
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.000000] smpboot: Allowing 4 CPUs, 2 hotplug CPUs
[    0.000000] PM: Registered nosave memory: [mem 0x00000000-0x00000fff]
[    0.000000] PM: Registered nosave memory: [mem 0x0006f000-0x0006ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x00085000-0x00086fff]
[    0.000000] PM: Registered nosave memory: [mem 0x00088000-0x0009ffff]
[    0.000000] PM: Registered nosave memory: [mem 0x000a0000-0x000fffff]
[    0.000000] PM: Registered nosave memory: [mem 0x1f000000-0x1f0fffff]
[    0.000000] PM: Registered nosave memory: [mem 0x20000000-0x200fffff]
[    0.000000] PM: Registered nosave memory: [mem 0x74892000-0x74892fff]
[    0.000000] PM: Registered nosave memory: [mem 0x748a2000-0x748a2fff]
[    0.000000] PM: Registered nosave memory: [mem 0x77fa7000-0x788b6fff]
[    0.000000] PM: Registered nosave memory: [mem 0x788b7000-0x789b6fff]
[    0.000000] PM: Registered nosave memory: [mem 0x789b7000-0x789f6fff]
[    0.000000] PM: Registered nosave memory: [mem 0x79453000-0x79d52fff]
[    0.000000] e820: [mem 0x7f000000-0xe00f7fff] available for PCI devices
[    0.000000] Booting paravirtualized kernel on bare hardware
[    0.000000] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 6370452778343963 ns
[    0.000000] setup_percpu: NR_CPUS:128 nr_cpumask_bits:128 nr_cpu_ids:4 nr_node_ids:1
[    0.000000] PERCPU: Embedded 32 pages/cpu @ffff880077400000 s91544 r8192 d31336 u524288
[    0.000000] pcpu-alloc: s91544 r8192 d31336 u524288 alloc=1*2097152
[    0.000000] pcpu-alloc: [0] 0 1 2 3 
[    0.000000] Built 1 zonelists in Node order, mobility grouping on.  Total pages: 486302
[    0.000000] Policy zone: DMA32
[    0.000000] Kernel command line: initrd=\initramfs-linux-git.img root=/dev/mmcblk0p5 rw quiet loglevel=0
[    0.000000] PID hash table entries: 4096 (order: 3, 32768 bytes)
[    0.000000] Calgary: detecting Calgary via BIOS EBDA area
[    0.000000] Calgary: Unable to locate Rio Grande table in EBDA - bailing!
[    0.000000] Memory: 1893560K/1976528K available (5460K kernel code, 897K rwdata, 1744K rodata, 1176K init, 1144K bss, 82968K reserved, 0K cma-reserved)
[    0.000000] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=4, Nodes=1
[    0.000000] Preemptible hierarchical RCU implementation.
[    0.000000] 	Build-time adjustment of leaf fanout to 64.
[    0.000000] 	RCU restricting CPUs from NR_CPUS=128 to nr_cpu_ids=4.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=64, nr_cpu_ids=4
[    0.000000] NR_IRQS:8448 nr_irqs:1024 16
[    0.000000] Console: colour dummy device 80x25
[    0.000000] console [tty0] enabled
[    0.000000] Maximum core-clock to bus-clock ratio: 0x1a
[    0.000000] Resolved frequency ID: 0, frequency: 83200 KHz
[    0.000000] TSC runs at 2163200 KHz
[    0.000000] lapic_timer_frequency = 277333
[    0.000000] tsc: Detected 2163.200 MHz processor
[    0.000037] Calibrating delay loop (skipped), value calculated using timer frequency.. 4328.66 BogoMIPS (lpj=7210666)
[    0.000043] pid_max: default: 32768 minimum: 301
[    0.000053] ACPI: Core revision 20150515
[    0.024409] ACPI: All ACPI Tables successfully acquired
[    0.025721] Security Framework initialized
[    0.025731] Yama: becoming mindful.
[    0.025957] Dentry cache hash table entries: 262144 (order: 9, 2097152 bytes)
[    0.026864] Inode-cache hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.027279] Mount-cache hash table entries: 4096 (order: 3, 32768 bytes)
[    0.027288] Mountpoint-cache hash table entries: 4096 (order: 3, 32768 bytes)
[    0.027622] Initializing cgroup subsys blkio
[    0.027630] Initializing cgroup subsys memory
[    0.027645] Initializing cgroup subsys devices
[    0.027651] Initializing cgroup subsys freezer
[    0.027656] Initializing cgroup subsys net_cls
[    0.027681] CPU: Physical Processor ID: 0
[    0.027684] CPU: Processor Core ID: 0
[    0.027690] ENERGY_PERF_BIAS: Set to 'normal', was 'performance'
[    0.027692] ENERGY_PERF_BIAS: View and update with x86_energy_perf_policy(8)
[    0.032458] mce: CPU supports 6 MCE banks
[    0.032467] CPU0: Thermal monitoring handled by SMI
[    0.032472] process: using mwait in idle threads
[    0.032479] Last level iTLB entries: 4KB 48, 2MB 0, 4MB 0
[    0.032481] Last level dTLB entries: 4KB 128, 2MB 16, 4MB 16, 1GB 0
[    0.032618] Freeing SMP alternatives memory: 20K (ffffffff81a08000 - ffffffff81a0d000)
[    0.040923] ftrace: allocating 21728 entries in 85 pages
[    0.053351] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.086352] TSC deadline timer enabled
[    0.086358] smpboot: CPU0: Intel(R) Celeron(R) CPU  N2840  @ 2.16GHz (fam: 06, model: 37, stepping: 08)
[    0.086393] Performance Events: PEBS fmt2+, 8-deep LBR, Silvermont events, full-width counters, Intel PMU driver.
[    0.086408] ... version:                3
[    0.086410] ... bit width:              40
[    0.086412] ... generic registers:      2
[    0.086414] ... value mask:             000000ffffffffff
[    0.086416] ... max period:             000000ffffffffff
[    0.086418] ... fixed-purpose events:   3
[    0.086420] ... event mask:             0000000700000003
[    0.099821] x86: Booting SMP configuration:
[    0.099826] .... node  #0, CPUs:      #1
[    0.105609] CPU1: Thermal monitoring handled by SMI
[    0.107834] NMI watchdog: enabled on all CPUs, permanently consumes one hw-PMU counter.
[    0.107858] x86: Booted up 1 node, 2 CPUs
[    0.107863] smpboot: Total of 2 processors activated (8656.33 BogoMIPS)
[    0.108462] devtmpfs: initialized
[    0.114516] PM: Registering ACPI NVS region [mem 0x0006f000-0x0006ffff] (4096 bytes)
[    0.114520] PM: Registering ACPI NVS region [mem 0x788b7000-0x789b6fff] (1048576 bytes)
[    0.114677] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 6370867519511994 ns
[    0.114822] pinctrl core: initialized pinctrl subsystem
[    0.114888] RTC time: 19:11:43, date: 06/25/15
[    0.115138] NET: Registered protocol family 16
[    0.127692] cpuidle: using governor ladder
[    0.141025] cpuidle: using governor menu
[    0.141099] ACPI: bus type PCI registered
[    0.141103] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.141225] PCI: MMCONFIG for domain 0000 [bus 00-3f] at [mem 0xe0000000-0xe3ffffff] (base 0xe0000000)
[    0.141229] PCI: not using MMCONFIG
[    0.141232] PCI: Using configuration type 1 for base access
[    0.155009] ACPI: Added _OSI(Module Device)
[    0.155014] ACPI: Added _OSI(Processor Device)
[    0.155016] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.155019] ACPI: Added _OSI(Processor Aggregator Device)
[    0.168673] [Firmware Bug]: ACPI: BIOS _OSI(Linux) query ignored
[    0.169530] ACPI: Dynamic OEM Table Load:
[    0.169545] ACPI: SSDT 0xFFFF880077017800 000440 (v01 PmRef  Cpu0Ist  00003000 INTL 20130117)
[    0.170688] ACPI: Dynamic OEM Table Load:
[    0.170700] ACPI: SSDT 0xFFFF880075738000 000433 (v01 PmRef  Cpu0Cst  00003001 INTL 20130117)
[    0.172238] ACPI: Dynamic OEM Table Load:
[    0.172250] ACPI: SSDT 0xFFFF880075714200 00015F (v01 PmRef  ApIst    00003000 INTL 20130117)
[    0.173363] ACPI: Dynamic OEM Table Load:
[    0.173374] ACPI: SSDT 0xFFFF880075741000 00008D (v01 PmRef  ApCst    00003000 INTL 20130117)
[    0.174962] ACPI : EC: EC started
[    0.175505] ACPI: Interpreter enabled
[    0.175517] ACPI Exception: AE_NOT_FOUND, While evaluating Sleep State [\_S1_] (20150515/hwxface-580)
[    0.175526] ACPI Exception: AE_NOT_FOUND, While evaluating Sleep State [\_S2_] (20150515/hwxface-580)
[    0.175555] ACPI: (supports S0 S3 S4 S5)
[    0.175559] ACPI: Using IOAPIC for interrupt routing
[    0.175599] PCI: MMCONFIG for domain 0000 [bus 00-3f] at [mem 0xe0000000-0xe3ffffff] (base 0xe0000000)
[    0.176381] PCI: MMCONFIG at [mem 0xe0000000-0xe3ffffff] reserved in ACPI motherboard resources
[    0.176418] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.279940] ACPI: Power Resource [USBC] (on)
[    0.284693] ACPI: Power Resource [PLPE] (on)
[    0.284979] ACPI: Power Resource [PLPE] (on)
[    0.290844] ACPI: Power Resource [CLK0] (on)
[    0.290925] ACPI: Power Resource [CLK1] (on)
[    0.368512] ACPI: Power Resource [FN00] (off)
[    0.369551] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.369562] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    0.369852] acpi PNP0A08:00: _OSC: platform does not support [PME]
[    0.370126] acpi PNP0A08:00: _OSC: OS now controls [PCIeHotplug AER PCIeCapability]
[    0.370366] acpi PNP0A08:00: [Firmware Info]: MMCONFIG for domain 0000 [bus 00-3f] only partially covers this bridge
[    0.370660] PCI host bridge to bus 0000:00
[    0.370666] pci_bus 0000:00: root bus resource [bus 00-ff]
[    0.370671] pci_bus 0000:00: root bus resource [io  0x0070-0x0077]
[    0.370675] pci_bus 0000:00: root bus resource [io  0x0000-0x006f window]
[    0.370679] pci_bus 0000:00: root bus resource [io  0x0078-0x0cf7 window]
[    0.370682] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window]
[    0.370686] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[    0.370690] pci_bus 0000:00: root bus resource [mem 0x000c0000-0x000dffff window]
[    0.370694] pci_bus 0000:00: root bus resource [mem 0x000e0000-0x000fffff window]
[    0.370698] pci_bus 0000:00: root bus resource [mem 0x80000000-0x908ffffe window]
[    0.370710] pci 0000:00:00.0: [8086:0f00] type 00 class 0x060000
[    0.370885] pci 0000:00:02.0: [8086:0f31] type 00 class 0x030000
[    0.370906] pci 0000:00:02.0: reg 0x10: [mem 0x90000000-0x903fffff]
[    0.370919] pci 0000:00:02.0: reg 0x18: [mem 0x80000000-0x8fffffff pref]
[    0.370931] pci 0000:00:02.0: reg 0x20: [io  0x1050-0x1057]
[    0.371111] pci 0000:00:14.0: [8086:0f35] type 00 class 0x0c0330
[    0.371140] pci 0000:00:14.0: reg 0x10: [mem 0x90800000-0x9080ffff 64bit]
[    0.371193] pci 0000:00:14.0: PME# supported from D3hot D3cold
[    0.371296] pci 0000:00:14.0: System wakeup disabled by ACPI
[    0.371379] pci 0000:00:1a.0: [8086:0f18] type 00 class 0x108000
[    0.371421] pci 0000:00:1a.0: reg 0x10: [mem 0x90700000-0x907fffff]
[    0.371437] pci 0000:00:1a.0: reg 0x14: [mem 0x90600000-0x906fffff]
[    0.371524] pci 0000:00:1a.0: PME# supported from D0 D3hot
[    0.371670] pci 0000:00:1b.0: [8086:0f04] type 00 class 0x040300
[    0.371703] pci 0000:00:1b.0: reg 0x10: [mem 0x90810000-0x90813fff 64bit]
[    0.371765] pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
[    0.371908] pci 0000:00:1c.0: [8086:0f48] type 01 class 0x060400
[    0.371968] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[    0.372045] pci 0000:00:1c.0: System wakeup disabled by ACPI
[    0.372118] pci 0000:00:1c.1: [8086:0f4a] type 01 class 0x060400
[    0.372178] pci 0000:00:1c.1: PME# supported from D0 D3hot D3cold
[    0.372255] pci 0000:00:1c.1: System wakeup disabled by ACPI
[    0.372334] pci 0000:00:1f.0: [8086:0f1c] type 00 class 0x060100
[    0.372541] pci 0000:00:1f.3: [8086:0f12] type 00 class 0x0c0500
[    0.372591] pci 0000:00:1f.3: reg 0x10: [mem 0x90818000-0x9081801f]
[    0.372663] pci 0000:00:1f.3: reg 0x20: [io  0x1000-0x101f]
[    0.372969] pci 0000:01:00.0: [14e4:4365] type 00 class 0x028000
[    0.373017] pci 0000:01:00.0: reg 0x10: [mem 0x90500000-0x90507fff 64bit]
[    0.373125] pci 0000:01:00.0: supports D1 D2
[    0.373129] pci 0000:01:00.0: PME# supported from D0 D3hot D3cold
[    0.373179] pci 0000:01:00.0: System wakeup disabled by ACPI
[    0.377796] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.377804] pci 0000:00:1c.0:   bridge window [mem 0x90500000-0x905fffff]
[    0.377938] pci 0000:02:00.0: [10ec:5229] type 00 class 0xff0000
[    0.378000] pci 0000:02:00.0: reg 0x10: [mem 0x90400000-0x90400fff]
[    0.378144] pci 0000:02:00.0: supports D1 D2
[    0.378148] pci 0000:02:00.0: PME# supported from D1 D2 D3hot
[    0.378228] pci 0000:02:00.0: System wakeup disabled by ACPI
[    0.384462] pci 0000:00:1c.1: PCI bridge to [bus 02]
[    0.384470] pci 0000:00:1c.1:   bridge window [mem 0x90400000-0x904fffff]
[    0.435065] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.435186] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.435304] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.435421] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.435540] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.435658] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.435776] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.435898] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 10 11 12 14 15) *0, disabled.
[    0.440544] ACPI: Enabled 5 GPEs in block 00 to 3F
[    0.440758] ACPI : EC: GPE = 0x18, I/O: command/status = 0x66, data = 0x62
[    0.441000] vgaarb: setting as boot device: PCI:0000:00:02.0
[    0.441004] vgaarb: device added: PCI:0000:00:02.0,decodes=io+mem,owns=io+mem,locks=none
[    0.441009] vgaarb: loaded
[    0.441012] vgaarb: bridge control possible 0000:00:02.0
[    0.441236] PCI: Using ACPI for IRQ routing
[    0.442677] PCI: pci_cache_line_size set to 64 bytes
[    0.442765] e820: reserve RAM buffer [mem 0x0006f000-0x0006ffff]
[    0.442768] e820: reserve RAM buffer [mem 0x00085000-0x0008ffff]
[    0.442771] e820: reserve RAM buffer [mem 0x00088000-0x0008ffff]
[    0.442774] e820: reserve RAM buffer [mem 0x1f000000-0x1fffffff]
[    0.442776] e820: reserve RAM buffer [mem 0x74892018-0x77ffffff]
[    0.442779] e820: reserve RAM buffer [mem 0x77fa7000-0x77ffffff]
[    0.442782] e820: reserve RAM buffer [mem 0x79453000-0x7bffffff]
[    0.442784] e820: reserve RAM buffer [mem 0x7a000000-0x7bffffff]
[    0.442975] NetLabel: Initializing
[    0.442979] NetLabel:  domain hash size = 128
[    0.442980] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.442999] NetLabel:  unlabeled traffic allowed by default
[    0.443058] clocksource: Switched to clocksource refined-jiffies
[    0.452625] pnp: PnP ACPI init
[    0.452732] pnp 00:00: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.452864] system 00:01: [io  0x0680-0x069f] has been reserved
[    0.452871] system 00:01: [io  0x0400-0x047f] has been reserved
[    0.452876] system 00:01: [io  0x0500-0x05fe] has been reserved
[    0.452880] system 00:01: [io  0xfd40-0xfd7f] has been reserved
[    0.452886] system 00:01: [mem 0xfed40000-0xfed44fff] has been reserved
[    0.452893] system 00:01: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.453074] pnp 00:02: Plug and Play ACPI device, IDs PNP0501 (active)
[    0.453143] pnp 00:03: Plug and Play ACPI device, IDs PNP0303 (active)
[    0.504876] system 00:04: [mem 0xe0000000-0xefffffff] could not be reserved
[    0.504882] system 00:04: [mem 0xfed01000-0xfed01fff] has been reserved
[    0.504887] system 00:04: [mem 0xfed03000-0xfed03fff] has been reserved
[    0.504892] system 00:04: [mem 0xfed04000-0xfed04fff] has been reserved
[    0.504896] system 00:04: [mem 0xfed0c000-0xfed0ffff] could not be reserved
[    0.504901] system 00:04: [mem 0xfed08000-0xfed08fff] has been reserved
[    0.504905] system 00:04: [mem 0xfed1c000-0xfed1cfff] has been reserved
[    0.504909] system 00:04: [mem 0xfee00000-0xfeefffff] has been reserved
[    0.504914] system 00:04: [mem 0xfef00000-0xfeffffff] has been reserved
[    0.504920] system 00:04: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.506889] pnp: PnP ACPI: found 5 devices
[    0.515252] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[    0.515276] clocksource: Switched to clocksource acpi_pm
[    0.515301] pci 0000:00:1c.0: bridge window [io  0x1000-0x0fff] to [bus 01] add_size 1000
[    0.515308] pci 0000:00:1c.0: bridge window [mem 0x00100000-0x000fffff 64bit pref] to [bus 01] add_size 200000 add_align 100000
[    0.515318] pci 0000:00:1c.1: bridge window [io  0x1000-0x0fff] to [bus 02] add_size 1000
[    0.515323] pci 0000:00:1c.1: bridge window [mem 0x00100000-0x000fffff 64bit pref] to [bus 02] add_size 200000 add_align 100000
[    0.515332] pci 0000:00:1c.0: res[15]=[mem 0x00100000-0x000fffff 64bit pref] res_to_dev_res add_size 200000 min_align 100000
[    0.515337] pci 0000:00:1c.0: res[15]=[mem 0x00100000-0x002fffff 64bit pref] res_to_dev_res add_size 200000 min_align 100000
[    0.515341] pci 0000:00:1c.1: res[15]=[mem 0x00100000-0x000fffff 64bit pref] res_to_dev_res add_size 200000 min_align 100000
[    0.515346] pci 0000:00:1c.1: res[15]=[mem 0x00100000-0x002fffff 64bit pref] res_to_dev_res add_size 200000 min_align 100000
[    0.515350] pci 0000:00:1c.0: res[13]=[io  0x1000-0x0fff] res_to_dev_res add_size 1000 min_align 1000
[    0.515354] pci 0000:00:1c.0: res[13]=[io  0x1000-0x1fff] res_to_dev_res add_size 1000 min_align 1000
[    0.515358] pci 0000:00:1c.1: res[13]=[io  0x1000-0x0fff] res_to_dev_res add_size 1000 min_align 1000
[    0.515363] pci 0000:00:1c.1: res[13]=[io  0x1000-0x1fff] res_to_dev_res add_size 1000 min_align 1000
[    0.515376] pci 0000:00:1c.0: BAR 15: no space for [mem size 0x00200000 64bit pref]
[    0.515380] pci 0000:00:1c.0: BAR 15: failed to assign [mem size 0x00200000 64bit pref]
[    0.515390] pci 0000:00:1c.1: BAR 15: no space for [mem size 0x00200000 64bit pref]
[    0.515394] pci 0000:00:1c.1: BAR 15: failed to assign [mem size 0x00200000 64bit pref]
[    0.515401] pci 0000:00:1c.0: BAR 13: assigned [io  0x2000-0x2fff]
[    0.515406] pci 0000:00:1c.1: BAR 13: assigned [io  0x3000-0x3fff]
[    0.515417] pci 0000:00:1c.1: BAR 15: no space for [mem size 0x00200000 64bit pref]
[    0.515421] pci 0000:00:1c.1: BAR 15: failed to assign [mem size 0x00200000 64bit pref]
[    0.515430] pci 0000:00:1c.0: BAR 15: no space for [mem size 0x00200000 64bit pref]
[    0.515434] pci 0000:00:1c.0: BAR 15: failed to assign [mem size 0x00200000 64bit pref]
[    0.515438] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.515443] pci 0000:00:1c.0:   bridge window [io  0x2000-0x2fff]
[    0.515450] pci 0000:00:1c.0:   bridge window [mem 0x90500000-0x905fffff]
[    0.515459] pci 0000:00:1c.1: PCI bridge to [bus 02]
[    0.515463] pci 0000:00:1c.1:   bridge window [io  0x3000-0x3fff]
[    0.515470] pci 0000:00:1c.1:   bridge window [mem 0x90400000-0x904fffff]
[    0.515479] pci_bus 0000:00: resource 4 [io  0x0070-0x0077]
[    0.515482] pci_bus 0000:00: resource 5 [io  0x0000-0x006f window]
[    0.515486] pci_bus 0000:00: resource 6 [io  0x0078-0x0cf7 window]
[    0.515490] pci_bus 0000:00: resource 7 [io  0x0d00-0xffff window]
[    0.515494] pci_bus 0000:00: resource 8 [mem 0x000a0000-0x000bffff window]
[    0.515497] pci_bus 0000:00: resource 9 [mem 0x000c0000-0x000dffff window]
[    0.515501] pci_bus 0000:00: resource 10 [mem 0x000e0000-0x000fffff window]
[    0.515505] pci_bus 0000:00: resource 11 [mem 0x80000000-0x908ffffe window]
[    0.515509] pci_bus 0000:01: resource 0 [io  0x2000-0x2fff]
[    0.515512] pci_bus 0000:01: resource 1 [mem 0x90500000-0x905fffff]
[    0.515516] pci_bus 0000:02: resource 0 [io  0x3000-0x3fff]
[    0.515520] pci_bus 0000:02: resource 1 [mem 0x90400000-0x904fffff]
[    0.515567] NET: Registered protocol family 2
[    0.515863] TCP established hash table entries: 16384 (order: 5, 131072 bytes)
[    0.515936] TCP bind hash table entries: 16384 (order: 6, 262144 bytes)
[    0.516011] TCP: Hash tables configured (established 16384 bind 16384)
[    0.516061] UDP hash table entries: 1024 (order: 3, 32768 bytes)
[    0.516082] UDP-Lite hash table entries: 1024 (order: 3, 32768 bytes)
[    0.516162] NET: Registered protocol family 1
[    0.516191] pci 0000:00:02.0: Video device with shadowed ROM
[    0.516554] PCI: CLS 64 bytes, default 64
[    0.516645] Unpacking initramfs...
[    0.606217] Freeing initrd memory: 3384K (ffff8800778b3000 - ffff880077c01000)
[    0.606457] microcode: CPU0 sig=0x30678, pf=0x8, revision=0x829
[    0.606473] microcode: CPU1 sig=0x30678, pf=0x8, revision=0x829
[    0.606588] microcode: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
[    0.606633] Scanning for low memory corruption every 60 seconds
[    0.607161] futex hash table entries: 1024 (order: 4, 65536 bytes)
[    0.607192] Initialise system trusted keyring
[    0.607702] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[    0.610564] zpool: loaded
[    0.610569] zbud: loaded
[    0.610826] VFS: Disk quotas dquot_6.6.0
[    0.610898] VFS: Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[    0.611205] Key type big_key registered
[    0.611451] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
[    0.611530] io scheduler noop registered
[    0.611535] io scheduler deadline registered
[    0.611594] io scheduler cfq registered (default)
[    0.612231] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.612253] pciehp 0000:00:1c.0:pcie04: Slot #0 AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surprise+ Interlock- NoCompl+ LLActRep+
[    0.612316] pciehp 0000:00:1c.0:pcie04: service driver pciehp loaded
[    0.612332] pciehp 0000:00:1c.1:pcie04: Slot #1 AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surprise+ Interlock- NoCompl+ LLActRep+
[    0.612389] pciehp 0000:00:1c.1:pcie04: service driver pciehp loaded
[    0.612401] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[    0.612437] efifb: probing for efifb
[    0.612462] efifb: framebuffer at 0x80000000, mapped to 0xffffc90000800000, using 4128k, total 4128k
[    0.612465] efifb: mode is 1366x768x32, linelength=5504, pages=1
[    0.612467] efifb: scrolling: redraw
[    0.612470] efifb: Truecolor: size=8:8:8:8, shift=24:16:8:0
[    0.618573] Console: switching to colour frame buffer device 170x48
[    0.624528] fb0: EFI VGA frame buffer device
[    0.624546] intel_idle: MWAIT substates: 0x33000020
[    0.624549] intel_idle: v0.4 model 0x37
[    0.624551] intel_idle: lapic_timer_reliable_states 0xffffffff
[    0.624774] GHES: HEST is not enabled!
[    0.624904] Serial: 8250/16550 driver, 4 ports, IRQ sharing disabled
[    0.645159] 00:02: ttyS0 at I/O 0x3f8 (irq = 4, base_baud = 115200) is a 16550A
[    0.645894] hpet: number irqs doesn't agree with number of timers
[    0.645936] Linux agpgart interface v0.103
[    0.646250] rtc_cmos 00:00: RTC can wake from S4
[    0.646423] rtc_cmos 00:00: rtc core: registered rtc_cmos as rtc0
[    0.646453] rtc_cmos 00:00: alarms up to one month, y3k, 242 bytes nvram
[    0.646490] Intel P-state driver initializing.
[    0.646758] ledtrig-cpu: registered to indicate activity on CPUs
[    0.649139] NET: Registered protocol family 10
[    0.650418] NET: Registered protocol family 17
[    0.652448] Loading compiled-in X.509 certificates
[    0.652568] registered taskstats version 1
[    0.653954]   Magic number: 3:511:193
[    0.654098] acpi device:1f: hash matches
[    0.654242] rtc_cmos 00:00: setting system clock to 2015-06-25 19:11:43 UTC (1435259503)
[    0.654875] PM: Hibernation image not present or could not be loaded.
[    0.656134] Freeing unused kernel memory: 1176K (ffffffff818e2000 - ffffffff81a08000)
[    0.656142] Write protecting the kernel read-only data: 8192k
[    0.657080] Freeing unused kernel memory: 672K (ffff880001558000 - ffff880001600000)
[    0.657376] Freeing unused kernel memory: 304K (ffff8800017b4000 - ffff880001800000)
[    0.678263] random: systemd-tmpfile urandom read with 1 bits of entropy available
[    0.755344] sdhci: Secure Digital Host Controller Interface driver
[    0.755349] sdhci: Copyright(c) Pierre Ossman
[    0.757015] sdhci-acpi 80860F14:01: No vmmc regulator found
[    0.757022] sdhci-acpi 80860F14:01: No vqmmc regulator found
[    0.761370] mmc0: SDHCI controller on ACPI [80860F14:01] using ADMA
[    0.769845] i8042: PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
[    0.769849] i8042: PNP: PS/2 appears to have AUX port disabled, if this is incorrect please boot with i8042.nopnp
[    0.772058] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.788049] ACPI: bus type USB registered
[    0.788097] usbcore: registered new interface driver usbfs
[    0.788116] usbcore: registered new interface driver hub
[    0.790951] usbcore: registered new device driver usb
[    0.793169] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    0.793182] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 1
[    0.793495] rtsx_pci 0000:02:00.0: rtsx_pci_acquire_irq: pcr->msi_en = 1, pci->irq = 263
[    0.810379] xhci_hcd 0000:00:14.0: hcc params 0x200077c1 hci version 0x100 quirks 0x00009810
[    0.810392] xhci_hcd 0000:00:14.0: cache line size of 64 is not supported
[    0.831990] hub 1-0:1.0: USB hub found
[    0.832022] hub 1-0:1.0: 6 ports detected
[    0.833084] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    0.833094] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 2
[    0.833624] hub 2-0:1.0: USB hub found
[    0.833640] hub 2-0:1.0: 1 port detected
[    0.875848] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    0.905847] mmc0: MAN_BKOPS_EN bit is not set
[    0.919392] mmc0: new HS200 MMC card at address 0001
[    0.922352] mmcblk0: mmc0:0001 SDW64G 58.2 GiB 
[    0.922471] mmcblk0boot0: mmc0:0001 SDW64G partition 1 4.00 MiB
[    0.922552] mmcblk0boot1: mmc0:0001 SDW64G partition 2 4.00 MiB
[    0.922644] mmcblk0rpmb: mmc0:0001 SDW64G partition 3 4.00 MiB
[    0.925408]  mmcblk0: p1 p2 p3 p4 p5
[    1.037173] EXT4-fs (mmcblk0p5): mounted filesystem with ordered data mode. Opts: (null)
[    1.158721] ip_tables: (C) 2000-2006 Netfilter Core Team
[    1.158775] systemd[1]: Inserted module 'ip_tables'
[    1.179039] systemd[1]: systemd 221 running in system mode. (+PAM -AUDIT -SELINUX -IMA -APPARMOR +SMACK -SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ +LZ4 +SECCOMP +BLKID -ELFUTILS +KMOD +IDN)
[    1.179321] systemd[1]: Detected architecture x86-64.
[    1.179633] systemd[1]: Set hostname to <oberth>.
[    1.192577] usb 1-3: new high-speed USB device number 2 using xhci_hcd
[    1.300825] systemd[1]: display-manager.service: Cannot add dependency job, ignoring: Unit display-manager.service failed to load: No such file or directory.
[    1.301839] systemd[1]: Started Forward Password Requests to Wall Directory Watch.
[    1.301860] systemd[1]: Starting Forward Password Requests to Wall Directory Watch.
[    1.301923] systemd[1]: Reached target Remote File Systems.
[    1.301938] systemd[1]: Starting Remote File Systems.
[    1.302025] systemd[1]: Started Dispatch Password Requests to Console Directory Watch.
[    1.302041] systemd[1]: Starting Dispatch Password Requests to Console Directory Watch.
[    1.302077] systemd[1]: Reached target Paths.
[    1.302091] systemd[1]: Starting Paths.
[    1.302127] systemd[1]: Reached target Encrypted Volumes.
[    1.302141] systemd[1]: Starting Encrypted Volumes.
[    1.302178] systemd[1]: Reached target Swap.
[    1.302192] systemd[1]: Starting Swap.
[    1.302500] systemd[1]: Created slice Root Slice.
[    1.302518] systemd[1]: Starting Root Slice.
[    1.308241] systemd[1]: Listening on Journal Audit Socket.
[    1.308341] systemd[1]: Listening on udev Kernel Socket.
[    1.308360] systemd[1]: Starting udev Kernel Socket.
[    1.308614] systemd[1]: Created slice User and Session Slice.
[    1.308631] systemd[1]: Starting User and Session Slice.
[    1.308710] systemd[1]: Listening on /dev/initctl Compatibility Named Pipe.
[    1.308727] systemd[1]: Starting /dev/initctl Compatibility Named Pipe.
[    1.308918] systemd[1]: Created slice System Slice.
[    1.308940] systemd[1]: Starting System Slice.
[    1.308980] systemd[1]: Reached target Slices.
[    1.308996] systemd[1]: Starting Slices.
[    1.309201] systemd[1]: Created slice system-getty.slice.
[    1.309217] systemd[1]: Starting system-getty.slice.
[    1.309333] systemd[1]: Listening on Device-mapper event daemon FIFOs.
[    1.309349] systemd[1]: Starting Device-mapper event daemon FIFOs.
[    1.309447] systemd[1]: Listening on udev Control Socket.
[    1.309464] systemd[1]: Starting udev Control Socket.
[    1.309527] systemd[1]: Listening on LVM2 metadata daemon socket.
[    1.309543] systemd[1]: Starting LVM2 metadata daemon socket.
[    1.309630] systemd[1]: Listening on Journal Socket.
[    1.309651] systemd[1]: Starting Journal Socket.
[    1.310581] systemd[1]: Starting Create list of required static device nodes for the current kernel...
[    1.310632] systemd[1]: Started File System Check on Root Device.
[    1.311538] systemd[1]: Mounting POSIX Message Queue File System...
[    1.312685] systemd[1]: Mounting Debug File System...
[    1.313658] systemd[1]: Starting Setup Virtual Console...
[    1.314753] systemd[1]: Mounting Huge Pages File System...
[    1.317754] systemd[1]: Started Load Kernel Modules.
[    1.318762] systemd[1]: Starting Apply Kernel Variables...
[    1.318820] systemd[1]: Mounted FUSE Control File System.
[    1.321211] systemd[1]: Mounting Configuration File System...
[    1.322224] systemd[1]: Set up automount Arbitrary Executable File Formats File System Automount Point.
[    1.322259] systemd[1]: Starting Arbitrary Executable File Formats File System Automount Point.
[    1.324256] systemd[1]: Started Set Up Additional Binary Formats.
[    1.324364] systemd[1]: Listening on Journal Socket (/dev/log).
[    1.324463] systemd[1]: Starting Journal Socket (/dev/log).
[    1.325383] systemd[1]: Starting Journal Service...
[    1.337673] systemd[1]: Mounting Temporary Directory...
[    1.338707] systemd[1]: Starting Remount Root and Kernel File Systems...
[    1.341915] systemd[1]: Mounted Configuration File System.
[    1.341985] systemd[1]: Mounted Huge Pages File System.
[    1.342027] systemd[1]: Mounted Debug File System.
[    1.342067] systemd[1]: Mounted POSIX Message Queue File System.
[    1.345056] systemd[1]: Mounted Temporary Directory.
[    1.346971] EXT4-fs (mmcblk0p5): re-mounted. Opts: data=ordered
[    1.349027] systemd[1]: Started Create list of required static device nodes for the current kernel.
[    1.350018] systemd[1]: Started Setup Virtual Console.
[    1.350556] systemd[1]: Started Apply Kernel Variables.
[    1.351200] systemd[1]: Started Remount Root and Kernel File Systems.
[    1.383165] systemd[1]: Started Rebuild Hardware Database.
[    1.384150] systemd[1]: Starting udev Coldplug all Devices...
[    1.384217] systemd[1]: Started First Boot Wizard.
[    1.384285] systemd[1]: Started Create System Users.
[    1.384339] systemd[1]: Started Rebuild Dynamic Linker Cache.
[    1.385322] systemd[1]: Starting Load/Save Random Seed...
[    1.386534] systemd[1]: Starting Create Static Device Nodes in /dev...
[    1.397417] systemd[1]: Started Load/Save Random Seed.
[    1.437077] systemd[1]: Started Create Static Device Nodes in /dev.
[    1.437256] systemd[1]: Reached target Local File Systems (Pre).
[    1.437278] systemd[1]: Starting Local File Systems (Pre).
[    1.437318] systemd[1]: Mounted Virtual Machine and Container Storage.
[    1.438431] systemd[1]: Starting udev Kernel Device Manager...
[    1.463306] systemd[1]: Started udev Coldplug all Devices.
[    1.511374] systemd[1]: Started udev Kernel Device Manager.
[    1.543186] media: Linux media interface: v0.10
[    1.546203] usb 1-4: new full-speed USB device number 3 using xhci_hcd
[    1.552530] Linux video capture interface: v2.00
[    1.559710] systemd[1]: Started Journal Service.
[    1.571107] systemd-journald[183]: Received request to flush runtime journal from PID 1
[    1.609555] tsc: Refined TSC clocksource calibration: 2166.666 MHz
[    1.609563] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x1f3b3172f25, max_idle_ns: 440795274731 ns
[    1.662506] uvcvideo: Found UVC 1.00 device Lenovo EasyCamera (13d3:5741)
[    1.670081] input: Lenovo EasyCamera as /devices/pci0000:00/0000:00:14.0/usb1/1-3/1-3:1.0/input/input1
[    1.670145] usbcore: registered new interface driver uvcvideo
[    1.670147] USB Video Class driver (1.1.1)
[    1.700473] ACPI Warning: SystemIO range 0x0000000000001000-0x000000000000101F conflicts with OpRegion 0x0000000000001000-0x000000000000100F (\_SB_.PCI0.SBUS.SMBI) (20150515/utaddress-254)
[    1.700485] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    1.712316] input: Lid Switch as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:01/PNP0C0D:00/input/input2
[    1.712402] ACPI: Lid Switch [LID0]
[    1.712501] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input3
[    1.712508] ACPI: Power Button [PWRB]
[    1.712605] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4
[    1.712610] ACPI: Power Button [PWRF]
[    1.723880] ACPI: AC Adapter [ACAD] (off-line)
[    1.744921] hidraw: raw HID events driver (C) Jiri Kosina
[    1.763965] [drm] Initialized drm 1.1.0 20060810
[    1.783414] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    1.804118] dw_dmac INTL9C60:01: DesignWare DMA Controller, 8 channels
[    1.838446] [drm] Memory usable by graphics device = 2048M
[    1.838454] checking generic (80000000 408000) vs hw (80000000 10000000)
[    1.838864] fb: switching to inteldrmfb from EFI VGA
[    1.838896] Console: switching to colour dummy device 80x25
[    1.839003] [drm] Replacing VGA console driver
[    1.840328] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    1.840333] [drm] Driver supports precise vblank timestamp query.
[    1.866608] [Firmware Bug]: No valid trip found
[    1.888590] vgaarb: device changed decodes: PCI:0000:00:02.0,olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    1.909851] ACPI: Battery Slot [BAT1] (battery present)
[    1.916557] input: PC Speaker as /devices/platform/pcspkr/input/input5
[    1.920119] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    1.920469] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input6
[    1.920621] snd_hda_intel 0000:00:1b.0: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[    1.920629] [drm] Initialized i915 1.6.0 20150327 for 0000:00:02.0 on minor 0
[    1.920767] fbcon: inteldrmfb (fb0) is primary device
[    2.001980] iTCO_vendor_support: vendor-support=0
[    2.002944] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.11
[    2.003018] iTCO_wdt: Found a Bay Trail SoC TCO device (Version=3, TCOBASE=0x0460)
[    2.003258] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[    2.020471] FAT-fs (mmcblk0p1): Volume was not properly unmounted. Some data may be corrupt. Please run fsck.
[    2.072134] hid-rmi 0018:06CB:2956.0001: Scanning PDT...
[    2.072445] kvm: disabled by bios
[    2.074651] hid-rmi 0018:06CB:2956.0001: Found F34 on page 0x00
[    2.076986] hid-rmi 0018:06CB:2956.0001: Found F01 on page 0x00
[    2.079765] hid-rmi 0018:06CB:2956.0001: Found F11 on page 0x00
[    2.087948] hid-rmi 0018:06CB:2956.0001: Found F54 on page 0x01
[    2.090739] hid-rmi 0018:06CB:2956.0001: Found F30 on page 0x01
[    2.099790] hid-rmi 0018:06CB:2956.0001: Found F55 on page 0x02
[    2.103987] intel_rapl: Found RAPL domain package
[    2.103990] intel_rapl: Found RAPL domain core
[    2.107983] hid-rmi 0018:06CB:2956.0001: rmi_scan_pdt: Done with PDT scan.
[    2.140189] hid-rmi 0018:06CB:2956.0001: rmi_populate_f11: size in mm: 97 x 52
[    2.160753] hid-rmi 0018:06CB:2956.0001: firmware id: 1808102
[    2.160884] input: SYNA2B27:00 06CB:2956 as /devices/platform/80860F41:00/i2c-0/i2c-SYNA2B27:00/0018:06CB:2956.0001/input/input7
[    2.161023] hid-rmi 0018:06CB:2956.0001: input,hidraw0: <UNKNOWN> HID v1.00 Mouse [SYNA2B27:00 06CB:2956] on 
[    2.189058] mousedev: PS/2 mouse device common for all mice
[    2.468669] Console: switching to colour frame buffer device 170x48
[    2.474337] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    2.474338] i915 0000:00:02.0: registered panic notifier
[    2.527021] snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC233: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:speaker
[    2.527029] snd_hda_codec_realtek hdaudioC0D0:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[    2.527032] snd_hda_codec_realtek hdaudioC0D0:    hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
[    2.527035] snd_hda_codec_realtek hdaudioC0D0:    mono: mono_out=0x0
[    2.527038] snd_hda_codec_realtek hdaudioC0D0:    inputs:
[    2.527042] snd_hda_codec_realtek hdaudioC0D0:      Mic=0x19
[    2.527045] snd_hda_codec_realtek hdaudioC0D0:      Internal Mic=0x12
[    2.611705] clocksource: Switched to clocksource tsc
[    2.616455] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/sound/card0/input8
[    2.622472] input: HDA Intel PCH Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input9
[    2.622605] input: HDA Intel PCH Front Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input10
[    2.622724] input: HDA Intel PCH HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
[   21.093343] random: nonblocking pool is initialized


Output from hid-recorder appears identical to the older kernel.
Comment 7 Andrew Duggan 2015-06-26 01:31:34 UTC
This might be a bit of a long shot, but does changing the irq flags to HIGH do anything?

diff --git a/drivers/hid/i2c-hid/i2c-hid.c b/drivers/hid/i2c-hid/i2c-hid.c
index f77469d..f63ec50 100644
--- a/drivers/hid/i2c-hid/i2c-hid.c
+++ b/drivers/hid/i2c-hid/i2c-hid.c
@@ -791,7 +791,7 @@ static int i2c_hid_init_irq(struct i2c_client *client)
        dev_dbg(&client->dev, "Requesting IRQ: %d\n", ihid->irq);
 
        ret = request_threaded_irq(ihid->irq, NULL, i2c_hid_irq,
-                       IRQF_TRIGGER_LOW | IRQF_ONESHOT,
+                       IRQF_TRIGGER_HIGH | IRQF_ONESHOT,
                        client->name, ihid);
        if (ret < 0) {
                dev_warn(&client->dev,
Comment 8 derek 2015-06-26 01:39:40 UTC
I will throw some time at this tomorrow or this weekend - modifying kernel stuff will be new territory for me.
Comment 9 derek 2015-06-27 18:07:46 UTC
(In reply to derek from comment #8)
> I will throw some time at this tomorrow or this weekend - modifying kernel
> stuff will be new territory for me.

Yeah - building the kernel from scratch isn't working out great for me.
Comment 10 Peter Hutterer 2015-06-28 21:57:20 UTC
derek:

cp /boot/config-<distro kernel version> .config
make oldconfig
make

that should give you something that's close enough to a distro kernel. See
http://kernelnewbies.org/KernelBuild
Comment 11 derek 2015-06-29 02:27:46 UTC
I took one last crack at this (I'm on Arch - I modified the linux-git AUR package to point at my own fork of torvalds/linux) and it doesn't appear to have made the touchpad start working. Dmesg and other informational programs appear to output the same kind of stuff.
Comment 12 Andrew Duggan 2015-06-29 22:05:35 UTC
Ok, thanks for trying that change. Let me see if I can get some more specifics about this particular touchpad before I ask you to try anything else.
Comment 13 Andrew Duggan 2015-07-17 00:22:27 UTC
Created attachment 117185 [details] [review]
Patch to enable interrupts on touchpad
Comment 14 Andrew Duggan 2015-07-17 00:24:24 UTC
I was able to get access to a S21e-20 and figured out the issue. A firmware bug on the touchpad is clearing the interrupt enable register which causes the touchpad to stop reporting. I posted a patch to Linux input which sets the value to get things working and attaching the patch here. The patch also depends on these two other patches which haven't made it to Linus's tree yet.

http://git.kernel.org/cgit/linux/kernel/git/jikos/hid.git/commit/?h=for-4.3/rmi&id=0925636042170e0b6716cd86635899c5f4258f69

http://git.kernel.org/cgit/linux/kernel/git/jikos/hid.git/commit/?h=for-4.3/rmi&id=7035f3a4e2444490d461f8b17c2275d61fefd980
Comment 15 Christian Reiss 2015-08-25 15:04:54 UTC
Hey Andrew,

thanks for the patch. I downloaded both patches and merged them, resulting in https://haste.alpha-labs.net/dilanoxesi.pl file. 

I placed the file under "linux-4.1.6/drivers/hid/hid-rmi.c" and recompiled, preceeding a "make clean". The resulting kernel, however, did not make the touchpad work.

Any more pointers?
Comment 16 Andrew Duggan 2015-08-25 15:37:08 UTC
Hi Christian,

You need to apply one more patch. It is the patch attached to this bug, but it is also located here:
http://git.kernel.org/cgit/linux/kernel/git/jikos/hid.git/commit/?h=for-4.3/rmi&id=9a98b3387e7bd9af5a6495b32e07d6f25071f4ba

The two patches which you merged are needed by the third patch which is why I mentioned them in my previous comment. But, the third patch contains the fix. That might have been unclear in my previous comment. The touchpad should work after you apply the third patch.
Comment 17 Christian Reiss 2015-08-26 15:23:24 UTC
My bad.

Compiled and works like a charm. You are my hero <3
Comment 18 derek 2015-08-26 15:25:54 UTC
(In reply to Christian Reiss from comment #17)
> My bad.
> 
> Compiled and works like a charm. You are my hero <3

I haven't tried this out because I'm not actually sure how to apply the patches (I'm not great at git) - if anyone could point me at good resources I'd appreciate it.
Comment 19 Tornth 2015-08-27 21:39:30 UTC
(In reply to Andrew Duggan from comment #16)
> Hi Christian,
> 
> You need to apply one more patch. It is the patch attached to this bug, but
> it is also located here:
> http://git.kernel.org/cgit/linux/kernel/git/jikos/hid.git/commit/?h=for-4.3/
> rmi&id=9a98b3387e7bd9af5a6495b32e07d6f25071f4ba
> 
> The two patches which you merged are needed by the third patch which is why
> I mentioned them in my previous comment. But, the third patch contains the
> fix. That might have been unclear in my previous comment. The touchpad
> should work after you apply the third patch.

Thank you for your work but can you try to explain how to apply those patches for people that never worked with the kernel and patches please.
Comment 20 Peter Hutterer 2015-08-27 22:25:10 UTC
Applying patches to the kernel or cherry-picking them from a repository is not something that can be safely explained in a paragraph, but there are hundreds of tutorials out there on how to build your own kernel and how to use git. Please use those instead, because otherwise the rest of the bug here will be filled with back/forth about git error messages, compiler errors, etc. let's not have that.
Comment 21 Christian Reiss 2015-08-28 07:17:43 UTC
Hey folks,

I wrote a tiny post on how to fix your system. Hope it helps some folks.
https://alpha-labs.net/2015/08/lenovo-s21e-linux-and-the-touchpad/


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.